###############################################################################
#
# This perl module contains the configuration information for this parser.
# If you don't understand the format of this configuration file DON'T TOUCH IT.
#
###############################################################################
# Licensed Materials - Property of IBM
#
#  5724-T01 5724-S98 5724-T03 5724-S96
#
# (c) Copyright IBM Corp. 2003, 2008. All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
###############################################################################

$r51_rules_unpeg = [

	## [START] TransportNetwork_Mtp3bSpAnsi_Mtp3bSls_Mtp3bSlAnsi (not tested using real data)
	{
		RULE_TYPE               => 'UNPEGGER',
		RULE_DESC               => 'Unpeg TransportNetwork_Mtp3bSpAnsi_Mtp3bSls_Mtp3bSlAnsi counter values',
		INPUT_FILE_DESCRIPTION  => [
			'^(TransportNetwork_Mtp3bSpAnsi_Mtp3bSls_Mtp3bSlAnsi-#-.+?)-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}.*-I.pif',
		],
		INPUT_FILE_DATETIME_KEY =>
			'^TransportNetwork_Mtp3bSpAnsi_Mtp3bSls_Mtp3bSlAnsi-#-.+?-#-(\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
		PEG_FILENAME_PREFIX     => 'SAVED',
		UNPEG_FILENAME_PREFIX   => 'UNPEG',
		UNPEG_FILE_TYPE         => 'HEADER',
		PRODUCE_PIF             => 'True',
		PRODUCE_LIF             => 0,
		KEEP_RAW_GRANULARITY    => 'True',
		MAX_PEG_PIF_AGE         => 'DURATION*4+60',
		CALCULATE_ROLLOVER      => 'True',
		DEFAULT_NULL_VALUE      => '',
		DATETIME_COUNTERS       => {
			STARTTIME => 'StartTime',
			STARTDATE => 'StartDate',
			DURATION  => 'granularityPeriod',
			FORMAT    => 'seconds',
		},
		COUNTERS_TO_SORT_ON => [ qw (Mtp3bSlAnsi) ],
		PEG_COUNTERS => {
			'pmNoOfRecUserData'              => '2147483647',
			'pmNoOfSentUserData'             => '2147483647',
			'pmNoOfAALINServiceInd'          => '2147483647',
			'pmNoOfAALOUTInd'                => '2147483647',
			'pmNoOfCBDSent'                  => '2147483647',
			'pmNoOfCOOXCOSent'               => '2147483647',
			'pmNoOfLocalLinkCongestCeaseRec' => '2147483647',
			'pmNoOfLocalLinkCongestRec'      => '2147483647',
			'pmNoOfMSURec'                   => '2147483647',
			'pmNoOfMSUSent'                  => '2147483647',
		}
	},
	{
		RULE_TYPE               => 'UNPEGGER',
		RULE_DESC               => 'Unpeg TransportNetwork_Mtp3bSpAnsi_Mtp3bSls_Mtp3bSlChina counter values',
		INPUT_FILE_DESCRIPTION  => [
			'^(TransportNetwork_Mtp3bSpAnsi_Mtp3bSls_Mtp3bSlChina-#-.+?)-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}.*-I.pif',
		],
		INPUT_FILE_DATETIME_KEY =>
			'^TransportNetwork_Mtp3bSpAnsi_Mtp3bSls_Mtp3bSlChina-#-.+?-#-(\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
		PEG_FILENAME_PREFIX     => 'SAVED',
		UNPEG_FILENAME_PREFIX   => 'UNPEG',
		UNPEG_FILE_TYPE         => 'HEADER',
		PRODUCE_PIF             => 'True',
		PRODUCE_LIF             => 0,
		KEEP_RAW_GRANULARITY    => 'True',
		MAX_PEG_PIF_AGE         => 'DURATION*4+60',
		CALCULATE_ROLLOVER      => 'True',
		DEFAULT_NULL_VALUE      => '',
		DATETIME_COUNTERS       => {
			STARTTIME => 'StartTime',
			STARTDATE => 'StartDate',
			DURATION  => 'granularityPeriod',
			FORMAT    => 'seconds',
		},
		COUNTERS_TO_SORT_ON => [ qw (Mtp3bSlChina) ],
		PEG_COUNTERS => {
			'pmNoOfRecUserData'              => '2147483647',
			'pmNoOfSentUserData'             => '2147483647',
			'pmNoOfAALINServiceInd'          => '2147483647',
			'pmNoOfAALOUTInd'                => '2147483647',
			'pmNoOfCBDSent'                  => '2147483647',
			'pmNoOfCOOXCOSent'               => '2147483647',
			'pmNoOfLocalLinkCongestCeaseRec' => '2147483647',
			'pmNoOfLocalLinkCongestRec'      => '2147483647',
			'pmNoOfMSURec'                   => '2147483647',
			'pmNoOfMSUSent'                  => '2147483647',
		}
	},
	{
		RULE_TYPE               => 'UNPEGGER',
		RULE_DESC               => 'Unpeg TransportNetwork_Mtp3bSpAnsi_Mtp3bSls_Mtp3bSlItu counter values',
		INPUT_FILE_DESCRIPTION  => [
			'^(TransportNetwork_Mtp3bSpAnsi_Mtp3bSls_Mtp3bSlItu-#-.+?)-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}.*-I.pif',
		],
		INPUT_FILE_DATETIME_KEY =>
			'^TransportNetwork_Mtp3bSpAnsi_Mtp3bSls_Mtp3bSlItu-#-.+?-#-(\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
		PEG_FILENAME_PREFIX     => 'SAVED',
		UNPEG_FILENAME_PREFIX   => 'UNPEG',
		UNPEG_FILE_TYPE         => 'HEADER',
		PRODUCE_PIF             => 'True',
		PRODUCE_LIF             => 0,
		KEEP_RAW_GRANULARITY    => 'True',
		MAX_PEG_PIF_AGE         => 'DURATION*4+60',
		CALCULATE_ROLLOVER      => 'True',
		DEFAULT_NULL_VALUE      => '',
		DATETIME_COUNTERS       => {
			STARTTIME => 'StartTime',
			STARTDATE => 'StartDate',
			DURATION  => 'granularityPeriod',
			FORMAT    => 'seconds',
		},
		COUNTERS_TO_SORT_ON => [ qw (Mtp3bSlItu) ],
		PEG_COUNTERS => {
			'pmNoOfRecUserData'              => '2147483647',
			'pmNoOfSentUserData'             => '2147483647',
			'pmNoOfAALINServiceInd'          => '2147483647',
			'pmNoOfAALOUTInd'                => '2147483647',
			'pmNoOfCBDSent'                  => '2147483647',
			'pmNoOfCOOXCOSent'               => '2147483647',
			'pmNoOfLocalLinkCongestCeaseRec' => '2147483647',
			'pmNoOfLocalLinkCongestRec'      => '2147483647',
			'pmNoOfMSURec'                   => '2147483647',
			'pmNoOfMSUSent'                  => '2147483647',
		}
	},
	{
		RULE_TYPE               => 'UNPEGGER',
		RULE_DESC               => 'Unpeg TransportNetwork_Mtp3bSpAnsi_Mtp3bSls_Mtp3bSlTtc counter values',
		INPUT_FILE_DESCRIPTION  => [
			'^(TransportNetwork_Mtp3bSpAnsi_Mtp3bSls_Mtp3bSlTtc-#-.+?)-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}.*-I.pif',
		],
		INPUT_FILE_DATETIME_KEY =>
			'^TransportNetwork_Mtp3bSpAnsi_Mtp3bSls_Mtp3bSlTtc-#-.+?-#-(\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
		PEG_FILENAME_PREFIX     => 'SAVED',
		UNPEG_FILENAME_PREFIX   => 'UNPEG',
		UNPEG_FILE_TYPE         => 'HEADER',
		PRODUCE_PIF             => 'True',
		PRODUCE_LIF             => 0,
		KEEP_RAW_GRANULARITY    => 'True',
		MAX_PEG_PIF_AGE         => 'DURATION*4+60',
		CALCULATE_ROLLOVER      => 'True',
		DEFAULT_NULL_VALUE      => '',
		DATETIME_COUNTERS       => {
			STARTTIME => 'StartTime',
			STARTDATE => 'StartDate',
			DURATION  => 'granularityPeriod',
			FORMAT    => 'seconds',
		},
		COUNTERS_TO_SORT_ON => [ qw (Mtp3bSlTtc) ],
		PEG_COUNTERS => {
			'pmNoOfRecUserData'              => '2147483647',
			'pmNoOfSentUserData'             => '2147483647',
			'pmNoOfAALINServiceInd'          => '2147483647',
			'pmNoOfAALOUTInd'                => '2147483647',
			'pmNoOfCBDSent'                  => '2147483647',
			'pmNoOfCOOXCOSent'               => '2147483647',
			'pmNoOfLocalLinkCongestCeaseRec' => '2147483647',
			'pmNoOfLocalLinkCongestRec'      => '2147483647',
			'pmNoOfMSURec'                   => '2147483647',
			'pmNoOfMSUSent'                  => '2147483647',
		}
	},


	{
		RULE_TYPE              => 'ACCUMULATE',
		RULE_DESC              => 'Aggregating TransportNetwork_Mtp3bSpAnsi_Mtp3bSls unpeg counters',
		INPUT_FILE_DESCRIPTION => [
			'^UNPEG-#-TransportNetwork_Mtp3bSpAnsi_Mtp3bSls_Mtp3bSlAnsi-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^UNPEG-#-TransportNetwork_Mtp3bSpAnsi_Mtp3bSls_Mtp3bSlChina-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^UNPEG-#-TransportNetwork_Mtp3bSpAnsi_Mtp3bSls_Mtp3bSlItu-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^UNPEG-#-TransportNetwork_Mtp3bSpAnsi_Mtp3bSls_Mtp3bSlTtc-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
		],
		PRODUCE_PIF            => 'True',
		PRODUCE_LIF            => 0,
		COUNTERS_TO_SORT_ON    => ['Mtp3bSls'],
		NON_ADDITIVE_COUNTERS  => [qw(ManagedElement userLabel Mtp3bSpAnsi TransportNetwork)],
		REDUNDANT_DATA_COUNTERS => [ qw(Mtp3bSlAnsi Mtp3bSlChina Mtp3bSlItu Mtp3bSlTtc) ],
		OLD_COUNTER_NAMES      => [qw(pmNoOfMSURec pmNoOfMSUSent)],
		NEW_COUNTER_NAMES      => [qw(Mtp3bSls_pmNoOfMSURec Mtp3bSls_pmNoOfMSUSent)],
		OUTPUT_BLOCK_NAME      => 'TransportNetwork_Mtp3bSpAnsi_Mtp3bSls',
	},
	{
        RULE_TYPE => 'JOIN',
        RULE_DESC => 'Join accumulated TransportNetwork_Mtp3bSpAnsi_Mtp3bSls',
        INPUT_FILE_DESCRIPTION => [
			'^UNPEG-#-.*-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-TransportNetwork_Mtp3bSpAnsi_Mtp3bSls-#-A.pif',
        ],
        OUTPUT_BLOCK_NAME     => 'TransportNetwork_Mtp3bSpAnsi_Mtp3bSls',
        PRODUCE_PIF           => 'True',
        PRODUCE_LIF           => 0,
        COUNTERS_TO_JOIN_ON   => [qw(Mtp3bSls)],
        OUTPUT_FILENAME_START => 'TransportNetwork_Mtp3bSpAnsi_Mtp3bSls',
        HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME =>
			[qw(nEDistinguishedName_MeContext StartDate StartTime)],
        REDUNDANT_HEADER_COUNTERS       => [],
        HOURS_TO_WAIT_FOR_PARTNER_FILES => -1,
    },
	{
		RULE_TYPE              => 'ACCUMULATE',
		RULE_DESC              => 'Accumulating TransportNetwork_Mtp3bSpAnsi_Mtp3bSls counters',
		INPUT_FILE_DESCRIPTION => [
			'^TransportNetwork_Mtp3bSpAnsi_Mtp3bSls-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-J.pif',
		],
		PRODUCE_PIF            => 'True',
		PRODUCE_LIF            => 0,
		COUNTERS_TO_SORT_ON    => [qw(nEDistinguishedName_MeContext)],
		NON_ADDITIVE_COUNTERS  => [qw(ManagedElement userLabel Mtp3bSpAnsi TransportNetwork)],
		REDUNDANT_DATA_COUNTERS => [qw(Mtp3bSls)],
		OUTPUT_BLOCK_NAME      => 'TransportNetwork_Mtp3bSpAnsi_Mtp3bSls',
	},


	{
		RULE_TYPE              => 'ACCUMULATE',
		RULE_DESC              => 'Aggregating TransportNetwork_Mtp3bSpAnsi_Mtp3bSls unpeg counters',
		INPUT_FILE_DESCRIPTION => [
			'^UNPEG-#-TransportNetwork_Mtp3bSpAnsi_Mtp3bSls_Mtp3bSlAnsi-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^UNPEG-#-TransportNetwork_Mtp3bSpAnsi_Mtp3bSls_Mtp3bSlChina-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^UNPEG-#-TransportNetwork_Mtp3bSpAnsi_Mtp3bSls_Mtp3bSlItu-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^UNPEG-#-TransportNetwork_Mtp3bSpAnsi_Mtp3bSls_Mtp3bSlTtc-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
		],
		PRODUCE_PIF            => 0,
		PRODUCE_LIF            => 'True',
		COUNTERS_TO_SORT_ON    => ['Mtp3bSls'],
		NON_ADDITIVE_COUNTERS  => [qw(ManagedElement userLabel Mtp3bSpAnsi TransportNetwork)],
		REDUNDANT_DATA_COUNTERS => [ qw(Mtp3bSlAnsi Mtp3bSlChina Mtp3bSlItu Mtp3bSlTtc) ],
		OUTPUT_BLOCK_NAME      => 'TransportNetwork_Mtp3bSpAnsi_Mtp3bSls',
	},
	## [END] TransportNetwork_Mtp3bSpAnsi_Mtp3bSls

	## [START] TransportNetwork_Mtp3bSpChina_Mtp3bSls

	{
		RULE_TYPE               => 'UNPEGGER',
		RULE_DESC               => 'Unpeg TransportNetwork_Mtp3bSpChina_Mtp3bSls_Mtp3bSlAnsi counter values',
		INPUT_FILE_DESCRIPTION  => [
			'^(TransportNetwork_Mtp3bSpChina_Mtp3bSls_Mtp3bSlAnsi-#-.+?)-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}.*-I.pif',
		],
		INPUT_FILE_DATETIME_KEY =>
			'^TransportNetwork_Mtp3bSpChina_Mtp3bSls_Mtp3bSlAnsi-#-.+?-#-(\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
		PEG_FILENAME_PREFIX     => 'SAVED',
		UNPEG_FILENAME_PREFIX   => 'UNPEG',
		UNPEG_FILE_TYPE         => 'HEADER',
		PRODUCE_PIF             => 'True',
		PRODUCE_LIF             => 0,
		KEEP_RAW_GRANULARITY    => 'True',
		MAX_PEG_PIF_AGE         => 'DURATION*4+60',
		CALCULATE_ROLLOVER      => 'True',
		DEFAULT_NULL_VALUE      => '',
		DATETIME_COUNTERS       => {
			STARTTIME => 'StartTime',
			STARTDATE => 'StartDate',
			DURATION  => 'granularityPeriod',
			FORMAT    => 'seconds',
		},
		COUNTERS_TO_SORT_ON => [ qw (Mtp3bSlAnsi) ],
		PEG_COUNTERS => {
			'pmNoOfRecUserData'              => '2147483647',
			'pmNoOfSentUserData'             => '2147483647',
			'pmNoOfAALINServiceInd'          => '2147483647',
			'pmNoOfAALOUTInd'                => '2147483647',
			'pmNoOfCBDSent'                  => '2147483647',
			'pmNoOfCOOXCOSent'               => '2147483647',
			'pmNoOfLocalLinkCongestCeaseRec' => '2147483647',
			'pmNoOfLocalLinkCongestRec'      => '2147483647',
			'pmNoOfMSURec'                   => '2147483647',
			'pmNoOfMSUSent'                  => '2147483647',
		}
	},
	{
		RULE_TYPE               => 'UNPEGGER',
		RULE_DESC               => 'Unpeg TransportNetwork_Mtp3bSpChina_Mtp3bSls_Mtp3bSlChina counter values',
		INPUT_FILE_DESCRIPTION  => [
			'^(TransportNetwork_Mtp3bSpChina_Mtp3bSls_Mtp3bSlChina-#-.+?)-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}.*-I.pif',
		],
		INPUT_FILE_DATETIME_KEY =>
			'^TransportNetwork_Mtp3bSpChina_Mtp3bSls_Mtp3bSlChina-#-.+?-#-(\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
		PEG_FILENAME_PREFIX     => 'SAVED',
		UNPEG_FILENAME_PREFIX   => 'UNPEG',
		UNPEG_FILE_TYPE         => 'HEADER',
		PRODUCE_PIF             => 'True',
		PRODUCE_LIF             => 0,
		KEEP_RAW_GRANULARITY    => 'True',
		MAX_PEG_PIF_AGE         => 'DURATION*4+60',
		CALCULATE_ROLLOVER      => 'True',
		DEFAULT_NULL_VALUE      => '',
		DATETIME_COUNTERS       => {
			STARTTIME => 'StartTime',
			STARTDATE => 'StartDate',
			DURATION  => 'granularityPeriod',
			FORMAT    => 'seconds',
		},
		COUNTERS_TO_SORT_ON => [ qw (Mtp3bSlChina) ],
		PEG_COUNTERS => {
			'pmNoOfRecUserData'              => '2147483647',
			'pmNoOfSentUserData'             => '2147483647',
			'pmNoOfAALINServiceInd'          => '2147483647',
			'pmNoOfAALOUTInd'                => '2147483647',
			'pmNoOfCBDSent'                  => '2147483647',
			'pmNoOfCOOXCOSent'               => '2147483647',
			'pmNoOfLocalLinkCongestCeaseRec' => '2147483647',
			'pmNoOfLocalLinkCongestRec'      => '2147483647',
			'pmNoOfMSURec'                   => '2147483647',
			'pmNoOfMSUSent'                  => '2147483647',
		}
	},
	{
		RULE_TYPE               => 'UNPEGGER',
		RULE_DESC               => 'Unpeg TransportNetwork_Mtp3bSpChina_Mtp3bSls_Mtp3bSlItu counter values',
		INPUT_FILE_DESCRIPTION  => [
			'^(TransportNetwork_Mtp3bSpChina_Mtp3bSls_Mtp3bSlItu-#-.+?)-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}.*-I.pif',
		],
		INPUT_FILE_DATETIME_KEY =>
			'^TransportNetwork_Mtp3bSpChina_Mtp3bSls_Mtp3bSlItu-#-.+?-#-(\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
		PEG_FILENAME_PREFIX     => 'SAVED',
		UNPEG_FILENAME_PREFIX   => 'UNPEG',
		UNPEG_FILE_TYPE         => 'HEADER',
		PRODUCE_PIF             => 'True',
		PRODUCE_LIF             => 0,
		KEEP_RAW_GRANULARITY    => 'True',
		MAX_PEG_PIF_AGE         => 'DURATION*4+60',
		CALCULATE_ROLLOVER      => 'True',
		DEFAULT_NULL_VALUE      => '',
		DATETIME_COUNTERS       => {
			STARTTIME => 'StartTime',
			STARTDATE => 'StartDate',
			DURATION  => 'granularityPeriod',
			FORMAT    => 'seconds',
		},
		COUNTERS_TO_SORT_ON => [ qw (Mtp3bSlItu) ],
		PEG_COUNTERS => {
			'pmNoOfRecUserData'              => '2147483647',
			'pmNoOfSentUserData'             => '2147483647',
			'pmNoOfAALINServiceInd'          => '2147483647',
			'pmNoOfAALOUTInd'                => '2147483647',
			'pmNoOfCBDSent'                  => '2147483647',
			'pmNoOfCOOXCOSent'               => '2147483647',
			'pmNoOfLocalLinkCongestCeaseRec' => '2147483647',
			'pmNoOfLocalLinkCongestRec'      => '2147483647',
			'pmNoOfMSURec'                   => '2147483647',
			'pmNoOfMSUSent'                  => '2147483647',
		}
	},
	{
		RULE_TYPE               => 'UNPEGGER',
		RULE_DESC               => 'Unpeg TransportNetwork_Mtp3bSpChina_Mtp3bSls_Mtp3bSlTtc counter values',
		INPUT_FILE_DESCRIPTION  => [
			'^(TransportNetwork_Mtp3bSpChina_Mtp3bSls_Mtp3bSlTtc-#-.+?)-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}.*-I.pif',
		],
		INPUT_FILE_DATETIME_KEY =>
			'^TransportNetwork_Mtp3bSpChina_Mtp3bSls_Mtp3bSlTtc-#-.+?-#-(\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
		PEG_FILENAME_PREFIX     => 'SAVED',
		UNPEG_FILENAME_PREFIX   => 'UNPEG',
		UNPEG_FILE_TYPE         => 'HEADER',
		PRODUCE_PIF             => 'True',
		PRODUCE_LIF             => 0,
		KEEP_RAW_GRANULARITY    => 'True',
		MAX_PEG_PIF_AGE         => 'DURATION*4+60',
		CALCULATE_ROLLOVER      => 'True',
		DEFAULT_NULL_VALUE      => '',
		DATETIME_COUNTERS       => {
			STARTTIME => 'StartTime',
			STARTDATE => 'StartDate',
			DURATION  => 'granularityPeriod',
			FORMAT    => 'seconds',
		},
		COUNTERS_TO_SORT_ON => [ qw (Mtp3bSlTtc) ],
		PEG_COUNTERS => {
			'pmNoOfRecUserData'              => '2147483647',
			'pmNoOfSentUserData'             => '2147483647',
			'pmNoOfAALINServiceInd'          => '2147483647',
			'pmNoOfAALOUTInd'                => '2147483647',
			'pmNoOfCBDSent'                  => '2147483647',
			'pmNoOfCOOXCOSent'               => '2147483647',
			'pmNoOfLocalLinkCongestCeaseRec' => '2147483647',
			'pmNoOfLocalLinkCongestRec'      => '2147483647',
			'pmNoOfMSURec'                   => '2147483647',
			'pmNoOfMSUSent'                  => '2147483647',
		}
	},
	{
		RULE_TYPE              => 'ACCUMULATE',
		RULE_DESC              => 'Aggregating TransportNetwork_Mtp3bSpChina_Mtp3bSls unpeg counters',
		INPUT_FILE_DESCRIPTION => [
			'^UNPEG-#-TransportNetwork_Mtp3bSpChina_Mtp3bSls_Mtp3bSlAnsi-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^UNPEG-#-TransportNetwork_Mtp3bSpChina_Mtp3bSls_Mtp3bSlChina-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^UNPEG-#-TransportNetwork_Mtp3bSpChina_Mtp3bSls_Mtp3bSlItu-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^UNPEG-#-TransportNetwork_Mtp3bSpChina_Mtp3bSls_Mtp3bSlTtc-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
		],
		PRODUCE_PIF            => 'True',
		PRODUCE_LIF            => 0,
		COUNTERS_TO_SORT_ON    => ['Mtp3bSls'],
		NON_ADDITIVE_COUNTERS  => [qw(ManagedElement userLabel Mtp3bSpChina TransportNetwork)],
		REDUNDANT_DATA_COUNTERS => [ qw(Mtp3bSlAnsi Mtp3bSlChina Mtp3bSlItu Mtp3bSlTtc) ],
		OLD_COUNTER_NAMES      => [qw(pmNoOfMSURec pmNoOfMSUSent)],
		NEW_COUNTER_NAMES      => [qw(Mtp3bSls_pmNoOfMSURec Mtp3bSls_pmNoOfMSUSent)],
		OUTPUT_BLOCK_NAME      => 'TransportNetwork_Mtp3bSpChina_Mtp3bSls',
	},
	{
        RULE_TYPE => 'JOIN',
        RULE_DESC => 'Join accumulated TransportNetwork_Mtp3bSpChina_Mtp3bSls',
        INPUT_FILE_DESCRIPTION => [
			'^UNPEG-#-.*-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-TransportNetwork_Mtp3bSpChina_Mtp3bSls-#-A.pif',
        ],
        OUTPUT_BLOCK_NAME     => 'TransportNetwork_Mtp3bSpChina_Mtp3bSls',
        PRODUCE_PIF           => 'True',
        PRODUCE_LIF           => 0,
        COUNTERS_TO_JOIN_ON   => [qw(Mtp3bSls)],
        OUTPUT_FILENAME_START => 'TransportNetwork_Mtp3bSpChina_Mtp3bSls',
        HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME =>
			[qw(nEDistinguishedName_MeContext StartDate StartTime)],
        REDUNDANT_HEADER_COUNTERS       => [],
        HOURS_TO_WAIT_FOR_PARTNER_FILES => -1,
    },
	{
		RULE_TYPE              => 'ACCUMULATE',
		RULE_DESC              => 'Accumulating TransportNetwork_Mtp3bSpChina_Mtp3bSls counters',
		INPUT_FILE_DESCRIPTION => [
			'^TransportNetwork_Mtp3bSpChina_Mtp3bSls-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-J.pif',
		],
		PRODUCE_PIF            => 'True',
		PRODUCE_LIF            => 0,
		COUNTERS_TO_SORT_ON    => [qw(nEDistinguishedName_MeContext)],
		NON_ADDITIVE_COUNTERS  => [qw(ManagedElement userLabel Mtp3bSpChina TransportNetwork)],
		REDUNDANT_DATA_COUNTERS => [qw(Mtp3bSls)],
		OUTPUT_BLOCK_NAME      => 'TransportNetwork_Mtp3bSpChina_Mtp3bSls',
	},



	{
		RULE_TYPE              => 'ACCUMULATE',
		RULE_DESC              => 'Aggregating TransportNetwork_Mtp3bSpChina_Mtp3bSls unpeg counters',
		INPUT_FILE_DESCRIPTION => [
			'^UNPEG-#-TransportNetwork_Mtp3bSpChina_Mtp3bSls_Mtp3bSlAnsi-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^UNPEG-#-TransportNetwork_Mtp3bSpChina_Mtp3bSls_Mtp3bSlChina-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^UNPEG-#-TransportNetwork_Mtp3bSpChina_Mtp3bSls_Mtp3bSlItu-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^UNPEG-#-TransportNetwork_Mtp3bSpChina_Mtp3bSls_Mtp3bSlTtc-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
		],
		PRODUCE_PIF            => 0,
		PRODUCE_LIF            => 'True',
		COUNTERS_TO_SORT_ON    => ['Mtp3bSls'],
		NON_ADDITIVE_COUNTERS  => [qw(ManagedElement userLabel Mtp3bSpChina TransportNetwork)],
		REDUNDANT_DATA_COUNTERS => [ qw(Mtp3bSlAnsi Mtp3bSlChina Mtp3bSlItu Mtp3bSlTtc) ],
		OUTPUT_BLOCK_NAME      => 'TransportNetwork_Mtp3bSpChina_Mtp3bSls',
	},

	## [END] TransportNetwork_Mtp3bSpChina_Mtp3bSls

	## [START] TransportNetwork_Mtp3bSpItu_Mtp3bSls
	{
		RULE_TYPE               => 'UNPEGGER',
		RULE_DESC               => 'Unpeg TransportNetwork_Mtp3bSpItu_Mtp3bSls_Mtp3bSlAnsi counter values',
		INPUT_FILE_DESCRIPTION  => [
			'^(TransportNetwork_Mtp3bSpItu_Mtp3bSls_Mtp3bSlAnsi-#-.+?)-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}.*-I.pif',
		],
		INPUT_FILE_DATETIME_KEY =>
			'^TransportNetwork_Mtp3bSpItu_Mtp3bSls_Mtp3bSlAnsi-#-.+?-#-(\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
		PEG_FILENAME_PREFIX     => 'SAVED',
		UNPEG_FILENAME_PREFIX   => 'UNPEG',
		UNPEG_FILE_TYPE         => 'HEADER',
		PRODUCE_PIF             => 'True',
		PRODUCE_LIF             => 0,
		KEEP_RAW_GRANULARITY    => 'True',
		MAX_PEG_PIF_AGE         => 'DURATION*4+60',
		CALCULATE_ROLLOVER      => 'True',
		DEFAULT_NULL_VALUE      => '',
		DATETIME_COUNTERS       => {
			STARTTIME => 'StartTime',
			STARTDATE => 'StartDate',
			DURATION  => 'granularityPeriod',
			FORMAT    => 'seconds',
		},
		COUNTERS_TO_SORT_ON => [ qw (Mtp3bSlAnsi) ],
		PEG_COUNTERS => {
			'pmNoOfRecUserData'              => '2147483647',
			'pmNoOfSentUserData'             => '2147483647',
			'pmNoOfAALINServiceInd'          => '2147483647',
			'pmNoOfAALOUTInd'                => '2147483647',
			'pmNoOfCBDSent'                  => '2147483647',
			'pmNoOfCOOXCOSent'               => '2147483647',
			'pmNoOfLocalLinkCongestCeaseRec' => '2147483647',
			'pmNoOfLocalLinkCongestRec'      => '2147483647',
			'pmNoOfMSURec'                   => '2147483647',
			'pmNoOfMSUSent'                  => '2147483647',
		}
	},
	{
		RULE_TYPE               => 'UNPEGGER',
		RULE_DESC               => 'Unpeg TransportNetwork_Mtp3bSpItu_Mtp3bSls_Mtp3bSlChina counter values',
		INPUT_FILE_DESCRIPTION  => [
			'^(TransportNetwork_Mtp3bSpItu_Mtp3bSls_Mtp3bSlChina-#-.+?)-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}.*-I.pif',
		],
		INPUT_FILE_DATETIME_KEY =>
			'^TransportNetwork_Mtp3bSpItu_Mtp3bSls_Mtp3bSlChina-#-.+?-#-(\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
		PEG_FILENAME_PREFIX     => 'SAVED',
		UNPEG_FILENAME_PREFIX   => 'UNPEG',
		UNPEG_FILE_TYPE         => 'HEADER',
		PRODUCE_PIF             => 'True',
		PRODUCE_LIF             => 0,
		KEEP_RAW_GRANULARITY    => 'True',
		MAX_PEG_PIF_AGE         => 'DURATION*4+60',
		CALCULATE_ROLLOVER      => 'True',
		DEFAULT_NULL_VALUE      => '',
		DATETIME_COUNTERS       => {
			STARTTIME => 'StartTime',
			STARTDATE => 'StartDate',
			DURATION  => 'granularityPeriod',
			FORMAT    => 'seconds',
		},
		COUNTERS_TO_SORT_ON => [ qw (Mtp3bSlChina) ],
		PEG_COUNTERS => {
			'pmNoOfRecUserData'              => '2147483647',
			'pmNoOfSentUserData'             => '2147483647',
			'pmNoOfAALINServiceInd'          => '2147483647',
			'pmNoOfAALOUTInd'                => '2147483647',
			'pmNoOfCBDSent'                  => '2147483647',
			'pmNoOfCOOXCOSent'               => '2147483647',
			'pmNoOfLocalLinkCongestCeaseRec' => '2147483647',
			'pmNoOfLocalLinkCongestRec'      => '2147483647',
			'pmNoOfMSURec'                   => '2147483647',
			'pmNoOfMSUSent'                  => '2147483647',
		}
	},
	{
		RULE_TYPE               => 'UNPEGGER',
		RULE_DESC               => 'Unpeg TransportNetwork_Mtp3bSpItu_Mtp3bSls_Mtp3bSlItu counter values',
		INPUT_FILE_DESCRIPTION  => [
			'^(TransportNetwork_Mtp3bSpItu_Mtp3bSls_Mtp3bSlItu-#-.+?)-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}.*-I.pif',
		],
		INPUT_FILE_DATETIME_KEY =>
			'^TransportNetwork_Mtp3bSpItu_Mtp3bSls_Mtp3bSlItu-#-.+?-#-(\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
		PEG_FILENAME_PREFIX     => 'SAVED',
		UNPEG_FILENAME_PREFIX   => 'UNPEG',
		UNPEG_FILE_TYPE         => 'HEADER',
		PRODUCE_PIF             => 'True',
		PRODUCE_LIF             => 0,
		KEEP_RAW_GRANULARITY    => 'True',
		MAX_PEG_PIF_AGE         => 'DURATION*4+60',
		CALCULATE_ROLLOVER      => 'True',
		DEFAULT_NULL_VALUE      => '',
		DATETIME_COUNTERS       => {
			STARTTIME => 'StartTime',
			STARTDATE => 'StartDate',
			DURATION  => 'granularityPeriod',
			FORMAT    => 'seconds',
		},
		COUNTERS_TO_SORT_ON => [ qw (Mtp3bSlItu) ],
		PEG_COUNTERS => {
			'pmNoOfRecUserData'              => '2147483647',
			'pmNoOfSentUserData'             => '2147483647',
			'pmNoOfAALINServiceInd'          => '2147483647',
			'pmNoOfAALOUTInd'                => '2147483647',
			'pmNoOfCBDSent'                  => '2147483647',
			'pmNoOfCOOXCOSent'               => '2147483647',
			'pmNoOfLocalLinkCongestCeaseRec' => '2147483647',
			'pmNoOfLocalLinkCongestRec'      => '2147483647',
			'pmNoOfMSURec'                   => '2147483647',
			'pmNoOfMSUSent'                  => '2147483647',
		}
	},

       	## [START] 11/9/2009 Ericsson MGW R5.1 Maintenance Release #########################
	{
		RULE_TYPE				=> 'PIF_2_OUTPUT',
		RULE_DESC				=> 'Output TransportNetwork_Mtp3bSpItu_Mtp3bSls_Mtp3bSlItu to LIF',
		INPUT_FILE_DESCRIPTION	=>
			'^UNPEG-#-TransportNetwork_Mtp3bSpItu_Mtp3bSls_Mtp3bSlItu-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
		OUTPUT_BLOCK_NAME		=> 'TransportNetwork_Mtp3bSpItu_Mtp3bSls_Mtp3bSlItu',
		OUTPUT_FILENAME_START	=> 'TransportNetwork_Mtp3bSpItu_Mtp3bSls_Mtp3bSlItu',
		OUTPUT_FORMAT			=> 'LIF_Writer',
	},
	## [END] 11/9/2009 Ericsson MGW R5.1 Maintenance Release #########################

	## [START] 10/9/2009 Ericsson MGW R5.1 Maintenance Release #########################
	{
		RULE_TYPE              => 'ACCUMULATE',
		RULE_DESC              => 'Aggregating TransportNetwork_Mtp3bSpItu_Mtp3bSls_Mtp3bSlItu unpeg counters',
		INPUT_FILE_DESCRIPTION => [
			'^UNPEG-#-TransportNetwork_Mtp3bSpItu_Mtp3bSls_Mtp3bSlItu-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
		],
		COUNTERS_TO_SORT_ON     => [qw(ManagedElement TransportNetwork Mtp3bSpItu)],
		NON_ADDITIVE_COUNTERS   => [qw(ManagedElement userLabel Mtp3bSpItu TransportNetwork)],
		REDUNDANT_DATA_COUNTERS => [],
		OUTPUT_BLOCK_NAME       => 'Mtp3bSpItu_Sl_Aggregated',
		PRODUCE_PIF             => 0,
		PRODUCE_LIF             => 'True',
	},
	## [END] 10/9/2009 Ericsson MGW R5.1 Maintenance Release #########################


	{
		RULE_TYPE               => 'UNPEGGER',
		RULE_DESC               => 'Unpeg TransportNetwork_Mtp3bSpItu_Mtp3bSls_Mtp3bSlTtc counter values',
		INPUT_FILE_DESCRIPTION  => [
			'^(TransportNetwork_Mtp3bSpItu_Mtp3bSls_Mtp3bSlTtc-#-.+?)-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}.*-I.pif',
		],
		INPUT_FILE_DATETIME_KEY =>
			'^TransportNetwork_Mtp3bSpItu_Mtp3bSls_Mtp3bSlTtc-#-.+?-#-(\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
		PEG_FILENAME_PREFIX     => 'SAVED',
		UNPEG_FILENAME_PREFIX   => 'UNPEG',
		UNPEG_FILE_TYPE         => 'HEADER',
		PRODUCE_PIF             => 'True',
		PRODUCE_LIF             => 0,
		KEEP_RAW_GRANULARITY    => 'True',
		MAX_PEG_PIF_AGE         => 'DURATION*4+60',
		CALCULATE_ROLLOVER      => 'True',
		DEFAULT_NULL_VALUE      => '',
		DATETIME_COUNTERS       => {
			STARTTIME => 'StartTime',
			STARTDATE => 'StartDate',
			DURATION  => 'granularityPeriod',
			FORMAT    => 'seconds',
		},
		COUNTERS_TO_SORT_ON => [ qw (Mtp3bSlTtc) ],
		PEG_COUNTERS => {
			'pmNoOfRecUserData'              => '2147483647',
			'pmNoOfSentUserData'             => '2147483647',
			'pmNoOfAALINServiceInd'          => '2147483647',
			'pmNoOfAALOUTInd'                => '2147483647',
			'pmNoOfCBDSent'                  => '2147483647',
			'pmNoOfCOOXCOSent'               => '2147483647',
			'pmNoOfLocalLinkCongestCeaseRec' => '2147483647',
			'pmNoOfLocalLinkCongestRec'      => '2147483647',
			'pmNoOfMSURec'                   => '2147483647',
			'pmNoOfMSUSent'                  => '2147483647',
		}
	},

	{
		RULE_TYPE              => 'ACCUMULATE',
		RULE_DESC              => 'Aggregating TransportNetwork_Mtp3bSpItu_Mtp3bSls unpeg counters',
		INPUT_FILE_DESCRIPTION => [
			'^UNPEG-#-TransportNetwork_Mtp3bSpItu_Mtp3bSls_Mtp3bSlAnsi-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^UNPEG-#-TransportNetwork_Mtp3bSpItu_Mtp3bSls_Mtp3bSlChina-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^UNPEG-#-TransportNetwork_Mtp3bSpItu_Mtp3bSls_Mtp3bSlItu-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^UNPEG-#-TransportNetwork_Mtp3bSpItu_Mtp3bSls_Mtp3bSlTtc-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
		],
		PRODUCE_PIF            => 'True',
		PRODUCE_LIF            => 0,
		COUNTERS_TO_SORT_ON    => ['Mtp3bSls'],
		NON_ADDITIVE_COUNTERS  => [qw(ManagedElement userLabel Mtp3bSpItu TransportNetwork)],
		REDUNDANT_DATA_COUNTERS => [ qw(Mtp3bSlAnsi Mtp3bSlChina Mtp3bSlItu Mtp3bSlTtc) ],
		OLD_COUNTER_NAMES      => [qw(pmNoOfMSURec pmNoOfMSUSent)],
		NEW_COUNTER_NAMES      => [qw(Mtp3bSls_pmNoOfMSURec Mtp3bSls_pmNoOfMSUSent)],
		OUTPUT_BLOCK_NAME      => 'TransportNetwork_Mtp3bSpItu_Mtp3bSls',
	},
	{
        RULE_TYPE => 'JOIN',
        RULE_DESC => 'Join accumulated TransportNetwork_Mtp3bSpItu_Mtp3bSls',
        INPUT_FILE_DESCRIPTION => [
			'^UNPEG-#-.*-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-TransportNetwork_Mtp3bSpItu_Mtp3bSls-#-A.pif',
        ],
        OUTPUT_BLOCK_NAME     => 'TransportNetwork_Mtp3bSpItu_Mtp3bSls',
        PRODUCE_PIF           => 'True',
        PRODUCE_LIF           => 0,
        COUNTERS_TO_JOIN_ON   => [qw(Mtp3bSls)],
        OUTPUT_FILENAME_START => 'TransportNetwork_Mtp3bSpItu_Mtp3bSls',
        HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME =>
			[qw(nEDistinguishedName_MeContext StartDate StartTime)],
        REDUNDANT_HEADER_COUNTERS       => [],
        HOURS_TO_WAIT_FOR_PARTNER_FILES => -1,
    },
	{
		RULE_TYPE              => 'ACCUMULATE',
		RULE_DESC              => 'Accumulating TransportNetwork_Mtp3bSpItu_Mtp3bSls counters',
		INPUT_FILE_DESCRIPTION => [
			'^TransportNetwork_Mtp3bSpItu_Mtp3bSls-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-J.pif',
		],
		PRODUCE_PIF            => 'True',
		PRODUCE_LIF            => 0,
		COUNTERS_TO_SORT_ON    => [qw(nEDistinguishedName_MeContext)],
		NON_ADDITIVE_COUNTERS  => [qw(ManagedElement userLabel Mtp3bSpItu TransportNetwork)],
		REDUNDANT_DATA_COUNTERS => [qw(Mtp3bSls)],
		OUTPUT_BLOCK_NAME      => 'TransportNetwork_Mtp3bSpItu_Mtp3bSls',
	},


	{
		RULE_TYPE              => 'ACCUMULATE',
		RULE_DESC              => 'Aggregating TransportNetwork_Mtp3bSpItu_Mtp3bSls unpeg counters',
		INPUT_FILE_DESCRIPTION => [
			'^UNPEG-#-TransportNetwork_Mtp3bSpItu_Mtp3bSls_Mtp3bSlAnsi-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^UNPEG-#-TransportNetwork_Mtp3bSpItu_Mtp3bSls_Mtp3bSlChina-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^UNPEG-#-TransportNetwork_Mtp3bSpItu_Mtp3bSls_Mtp3bSlItu-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^UNPEG-#-TransportNetwork_Mtp3bSpItu_Mtp3bSls_Mtp3bSlTtc-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
		],
		PRODUCE_PIF            => 0,
		PRODUCE_LIF            => 'True',
		COUNTERS_TO_SORT_ON    => ['Mtp3bSls'],
		NON_ADDITIVE_COUNTERS  => [qw(ManagedElement userLabel Mtp3bSpItu TransportNetwork)],
		REDUNDANT_DATA_COUNTERS => [ qw(Mtp3bSlAnsi Mtp3bSlChina Mtp3bSlItu Mtp3bSlTtc) ],
		OUTPUT_BLOCK_NAME      => 'TransportNetwork_Mtp3bSpItu_Mtp3bSls',
	},

	## [END] TransportNetwork_Mtp3bSpItu_Mtp3bSls

	## [START] TransportNetwork_Mtp3bSpTtc_Mtp3bSls
	{
		RULE_TYPE               => 'UNPEGGER',
		RULE_DESC               => 'Unpeg TransportNetwork_Mtp3bSpTtc_Mtp3bSls_Mtp3bSlAnsi counter values',
		INPUT_FILE_DESCRIPTION  => [
			'^(TransportNetwork_Mtp3bSpTtc_Mtp3bSls_Mtp3bSlAnsi-#-.+?)-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}.*-I.pif',
		],
		INPUT_FILE_DATETIME_KEY =>
			'^TransportNetwork_Mtp3bSpTtc_Mtp3bSls_Mtp3bSlAnsi-#-.+?-#-(\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
		PEG_FILENAME_PREFIX     => 'SAVED',
		UNPEG_FILENAME_PREFIX   => 'UNPEG',
		UNPEG_FILE_TYPE         => 'HEADER',
		PRODUCE_PIF             => 'True',
		PRODUCE_LIF             => 0,
		KEEP_RAW_GRANULARITY    => 'True',
		MAX_PEG_PIF_AGE         => 'DURATION*4+60',
		CALCULATE_ROLLOVER      => 'True',
		DEFAULT_NULL_VALUE      => '',
		DATETIME_COUNTERS       => {
			STARTTIME => 'StartTime',
			STARTDATE => 'StartDate',
			DURATION  => 'granularityPeriod',
			FORMAT    => 'seconds',
		},
		COUNTERS_TO_SORT_ON => [ qw (Mtp3bSlAnsi) ],
		PEG_COUNTERS => {
			'pmNoOfRecUserData'              => '2147483647',
			'pmNoOfSentUserData'             => '2147483647',
			'pmNoOfAALINServiceInd'          => '2147483647',
			'pmNoOfAALOUTInd'                => '2147483647',
			'pmNoOfCBDSent'                  => '2147483647',
			'pmNoOfCOOXCOSent'               => '2147483647',
			'pmNoOfLocalLinkCongestCeaseRec' => '2147483647',
			'pmNoOfLocalLinkCongestRec'      => '2147483647',
			'pmNoOfMSURec'                   => '2147483647',
			'pmNoOfMSUSent'                  => '2147483647',
		}
	},
	{
		RULE_TYPE               => 'UNPEGGER',
		RULE_DESC               => 'Unpeg TransportNetwork_Mtp3bSpTtc_Mtp3bSls_Mtp3bSlChina counter values',
		INPUT_FILE_DESCRIPTION  => [
			'^(TransportNetwork_Mtp3bSpTtc_Mtp3bSls_Mtp3bSlChina-#-.+?)-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}.*-I.pif',
		],
		INPUT_FILE_DATETIME_KEY =>
			'^TransportNetwork_Mtp3bSpTtc_Mtp3bSls_Mtp3bSlChina-#-.+?-#-(\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
		PEG_FILENAME_PREFIX     => 'SAVED',
		UNPEG_FILENAME_PREFIX   => 'UNPEG',
		UNPEG_FILE_TYPE         => 'HEADER',
		PRODUCE_PIF             => 'True',
		PRODUCE_LIF             => 0,
		KEEP_RAW_GRANULARITY    => 'True',
		MAX_PEG_PIF_AGE         => 'DURATION*4+60',
		CALCULATE_ROLLOVER      => 'True',
		DEFAULT_NULL_VALUE      => '',
		DATETIME_COUNTERS       => {
			STARTTIME => 'StartTime',
			STARTDATE => 'StartDate',
			DURATION  => 'granularityPeriod',
			FORMAT    => 'seconds',
		},
		COUNTERS_TO_SORT_ON => [ qw (Mtp3bSlChina) ],
		PEG_COUNTERS => {
			'pmNoOfRecUserData'              => '2147483647',
			'pmNoOfSentUserData'             => '2147483647',
			'pmNoOfAALINServiceInd'          => '2147483647',
			'pmNoOfAALOUTInd'                => '2147483647',
			'pmNoOfCBDSent'                  => '2147483647',
			'pmNoOfCOOXCOSent'               => '2147483647',
			'pmNoOfLocalLinkCongestCeaseRec' => '2147483647',
			'pmNoOfLocalLinkCongestRec'      => '2147483647',
			'pmNoOfMSURec'                   => '2147483647',
			'pmNoOfMSUSent'                  => '2147483647',
		}
	},
	{
		RULE_TYPE               => 'UNPEGGER',
		RULE_DESC               => 'Unpeg TransportNetwork_Mtp3bSpTtc_Mtp3bSls_Mtp3bSlItu counter values',
		INPUT_FILE_DESCRIPTION  => [
			'^(TransportNetwork_Mtp3bSpTtc_Mtp3bSls_Mtp3bSlItu-#-.+?)-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}.*-I.pif',
		],
		INPUT_FILE_DATETIME_KEY =>
			'^TransportNetwork_Mtp3bSpTtc_Mtp3bSls_Mtp3bSlItu-#-.+?-#-(\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
		PEG_FILENAME_PREFIX     => 'SAVED',
		UNPEG_FILENAME_PREFIX   => 'UNPEG',
		UNPEG_FILE_TYPE         => 'HEADER',
		PRODUCE_PIF             => 'True',
		PRODUCE_LIF             => 0,
		KEEP_RAW_GRANULARITY    => 'True',
		MAX_PEG_PIF_AGE         => 'DURATION*4+60',
		CALCULATE_ROLLOVER      => 'True',
		DEFAULT_NULL_VALUE      => '',
		DATETIME_COUNTERS       => {
			STARTTIME => 'StartTime',
			STARTDATE => 'StartDate',
			DURATION  => 'granularityPeriod',
			FORMAT    => 'seconds',
		},
		COUNTERS_TO_SORT_ON => [ qw (Mtp3bSlItu) ],
		PEG_COUNTERS => {
			'pmNoOfRecUserData'              => '2147483647',
			'pmNoOfSentUserData'             => '2147483647',
			'pmNoOfAALINServiceInd'          => '2147483647',
			'pmNoOfAALOUTInd'                => '2147483647',
			'pmNoOfCBDSent'                  => '2147483647',
			'pmNoOfCOOXCOSent'               => '2147483647',
			'pmNoOfLocalLinkCongestCeaseRec' => '2147483647',
			'pmNoOfLocalLinkCongestRec'      => '2147483647',
			'pmNoOfMSURec'                   => '2147483647',
			'pmNoOfMSUSent'                  => '2147483647',
		}
	},
	{
		RULE_TYPE               => 'UNPEGGER',
		RULE_DESC               => 'Unpeg TransportNetwork_Mtp3bSpTtc_Mtp3bSls_Mtp3bSlTtc counter values',
		INPUT_FILE_DESCRIPTION  => [
			'^(TransportNetwork_Mtp3bSpTtc_Mtp3bSls_Mtp3bSlTtc-#-.+?)-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}.*-I.pif',
		],
		INPUT_FILE_DATETIME_KEY =>
			'^TransportNetwork_Mtp3bSpTtc_Mtp3bSls_Mtp3bSlTtc-#-.+?-#-(\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
		PEG_FILENAME_PREFIX     => 'SAVED',
		UNPEG_FILENAME_PREFIX   => 'UNPEG',
		UNPEG_FILE_TYPE         => 'HEADER',
		PRODUCE_PIF             => 'True',
		PRODUCE_LIF             => 0,
		KEEP_RAW_GRANULARITY    => 'True',
		MAX_PEG_PIF_AGE         => 'DURATION*4+60',
		CALCULATE_ROLLOVER      => 'True',
		DEFAULT_NULL_VALUE      => '',
		DATETIME_COUNTERS       => {
			STARTTIME => 'StartTime',
			STARTDATE => 'StartDate',
			DURATION  => 'granularityPeriod',
			FORMAT    => 'seconds',
		},
		COUNTERS_TO_SORT_ON => [ qw (Mtp3bSlTtc) ],
		PEG_COUNTERS => {
			'pmNoOfRecUserData'              => '2147483647',
			'pmNoOfSentUserData'             => '2147483647',
			'pmNoOfAALINServiceInd'          => '2147483647',
			'pmNoOfAALOUTInd'                => '2147483647',
			'pmNoOfCBDSent'                  => '2147483647',
			'pmNoOfCOOXCOSent'               => '2147483647',
			'pmNoOfLocalLinkCongestCeaseRec' => '2147483647',
			'pmNoOfLocalLinkCongestRec'      => '2147483647',
			'pmNoOfMSURec'                   => '2147483647',
			'pmNoOfMSUSent'                  => '2147483647',
		}
	},
	{
		RULE_TYPE              => 'ACCUMULATE',
		RULE_DESC              => 'Aggregating TransportNetwork_Mtp3bSpTtc_Mtp3bSls unpeg counters',
		INPUT_FILE_DESCRIPTION => [
			'^UNPEG-#-TransportNetwork_Mtp3bSpTtc_Mtp3bSls_Mtp3bSlAnsi-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^UNPEG-#-TransportNetwork_Mtp3bSpTtc_Mtp3bSls_Mtp3bSlChina-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^UNPEG-#-TransportNetwork_Mtp3bSpTtc_Mtp3bSls_Mtp3bSlItu-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^UNPEG-#-TransportNetwork_Mtp3bSpTtc_Mtp3bSls_Mtp3bSlTtc-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
		],
		PRODUCE_PIF            => 'True',
		PRODUCE_LIF            => 0,
		COUNTERS_TO_SORT_ON    => ['Mtp3bSls'],
		NON_ADDITIVE_COUNTERS  => [qw(ManagedElement userLabel Mtp3bSpTtc TransportNetwork)],
		REDUNDANT_DATA_COUNTERS => [ qw(Mtp3bSlAnsi Mtp3bSlChina Mtp3bSlItu Mtp3bSlTtc) ],
		OLD_COUNTER_NAMES      => [qw(pmNoOfMSURec pmNoOfMSUSent)],
		NEW_COUNTER_NAMES      => [qw(Mtp3bSls_pmNoOfMSURec Mtp3bSls_pmNoOfMSUSent)],
		OUTPUT_BLOCK_NAME      => 'TransportNetwork_Mtp3bSpTtc_Mtp3bSls',
	},
	{
        RULE_TYPE => 'JOIN',
        RULE_DESC => 'Join accumulated TransportNetwork_Mtp3bSpItu_Mtp3bSls',
        INPUT_FILE_DESCRIPTION => [
			'^UNPEG-#-.*-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-TransportNetwork_Mtp3bSpTtc_Mtp3bSls-#-A.pif',
        ],
        OUTPUT_BLOCK_NAME     => 'TransportNetwork_Mtp3bSpTtc_Mtp3bSls',
        PRODUCE_PIF           => 'True',
        PRODUCE_LIF           => 0,
        COUNTERS_TO_JOIN_ON   => [qw(Mtp3bSls)],
        OUTPUT_FILENAME_START => 'TransportNetwork_Mtp3bSpTtc_Mtp3bSls',
        HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME =>
			[qw(nEDistinguishedName_MeContext StartDate StartTime)],
        REDUNDANT_HEADER_COUNTERS       => [],
        HOURS_TO_WAIT_FOR_PARTNER_FILES => -1,
    },
	{
		RULE_TYPE              => 'ACCUMULATE',
		RULE_DESC              => 'Accumulating TransportNetwork_Mtp3bSpTtc_Mtp3bSls counters',
		INPUT_FILE_DESCRIPTION => [
			'^TransportNetwork_Mtp3bSpTtc_Mtp3bSls-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-J.pif',
		],
		PRODUCE_PIF            => 'True',
		PRODUCE_LIF            => 0,
		COUNTERS_TO_SORT_ON    => [qw(nEDistinguishedName_MeContext)],
		NON_ADDITIVE_COUNTERS  => [qw(ManagedElement userLabel TransportNetwork)],
		REDUNDANT_DATA_COUNTERS => [qw(Mtp3bSls)],
		OUTPUT_BLOCK_NAME      => 'TransportNetwork_Mtp3bSpTtc_Mtp3bSls',
	},


	{
		RULE_TYPE              => 'ACCUMULATE',
		RULE_DESC              => 'Aggregating TransportNetwork_Mtp3bSpTtc_Mtp3bSls unpeg counters',
		INPUT_FILE_DESCRIPTION => [
			'^UNPEG-#-TransportNetwork_Mtp3bSpTtc_Mtp3bSls_Mtp3bSlAnsi-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^UNPEG-#-TransportNetwork_Mtp3bSpTtc_Mtp3bSls_Mtp3bSlChina-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^UNPEG-#-TransportNetwork_Mtp3bSpTtc_Mtp3bSls_Mtp3bSlItu-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^UNPEG-#-TransportNetwork_Mtp3bSpTtc_Mtp3bSls_Mtp3bSlTtc-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
		],
		PRODUCE_PIF            => 0,
		PRODUCE_LIF            => 'True',
		COUNTERS_TO_SORT_ON    => ['Mtp3bSls'],
		NON_ADDITIVE_COUNTERS  => [qw(ManagedElement userLabel Mtp3bSpTtc TransportNetwork)],
		REDUNDANT_DATA_COUNTERS => [ qw(Mtp3bSlAnsi Mtp3bSlChina Mtp3bSlItu Mtp3bSlTtc) ],
		OUTPUT_BLOCK_NAME      => 'TransportNetwork_Mtp3bSpTtc_Mtp3bSls',
	},
	## [END] TransportNetwork_Mtp3bSpTtc_Mtp3bSls

	## [START] ManagedElement_AccessSignalling_DChannelTp
	{
		RULE_TYPE                                 => 'JOIN',
		RULE_DESC                                 => 'Join ManagedElement_AccessSignalling_DChannelTp files',
		INPUT_FILE_DESCRIPTION                    => [ '^ManagedElement_AccessSignalling_DChannelTp-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif', ],
		OUTPUT_BLOCK_NAME                         => 'ManagedElement_AccessSignalling_DChannelTp',
		PRODUCE_PIF                               => 'True',
		PRODUCE_LIF                               => 0,
		COUNTERS_TO_JOIN_ON                       => [qw(userLabel DChannelTp)],
		OUTPUT_FILENAME_START                     => 'ManagedElement_AccessSignalling_DChannelTp',
		HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [qw(nEDistinguishedName_MeContext StartDate StartTime)],
		REDUNDANT_HEADER_COUNTERS                 => [],
		HOURS_TO_WAIT_FOR_PARTNER_FILES           => -1,
	},
	{
		RULE_TYPE               => 'UNPEGGER',
		RULE_DESC               => 'Unpeg ManagedElement_AccessSignalling_DChannelTp counter values ',
		INPUT_FILE_DESCRIPTION  => '^(ManagedElement_AccessSignalling_DChannelTp-#-.+?)-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}.*-J.pif',
		INPUT_FILE_DATETIME_KEY => '^ManagedElement_AccessSignalling_DChannelTp-#-.+?-#-(\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-J.pif',
		PEG_FILENAME_PREFIX     => 'SAVED',
		UNPEG_FILENAME_PREFIX   => 'UNPEG',
		UNPEG_FILE_TYPE         => 'HEADER',
		PRODUCE_PIF             => 'True',
		PRODUCE_LIF             => 0,
		KEEP_RAW_GRANULARITY    => 'True',
		MAX_PEG_PIF_AGE         => 'DURATION*4+60',
		CALCULATE_ROLLOVER      => 'True',
		DEFAULT_NULL_VALUE      => '',
		DATETIME_COUNTERS       => {
			STARTTIME => 'StartTime',
			STARTDATE => 'StartDate',
			DURATION  => 'granularityPeriod',
			FORMAT    => 'seconds',
		},
		COUNTERS_TO_SORT_ON => [qw (nEDistinguishedName_MeContext ManagedElement DChannelTp)],
		PEG_COUNTERS        => {
			'pmDiscardedInboundFrames'         => '2147483647',
			'pmDiscardedOutboundFrames'        => '2147483647',
			'pmOctetsInRecFrames'              => '2147483647',
			'pmOctetsInReTransmFrames'         => '2147483647',
			'pmOctetsInTransmFrames'           => '2147483647',
			'pmRecDmFramesRspToSabme'          => '2147483647',
			'pmRecFrames'                      => '2147483647',
			'pmRecFramesCtrlFieldUndef'        => '2147483647',
			'pmRecFramesFcsError'              => '2147483647',
			'pmRecFramesN201Error'             => '2147483647',
			'pmRecFramesNotPermInfoFldOrLngFr' => '2147483647',
			'pmRecFramesNrError'               => '2147483647',
			'pmRecFrmr'                        => '2147483647',
			'pmRecInvalidFrames'               => '2147483647',
			'pmRecUnexpectedFrames'            => '2147483647',
			'pmRecUnsolicSupervisFrames'       => '2147483647',
			'pmRetransmittedFrames'            => '2147483647',
			'pmTransmDmFramesRspToSabme'       => '2147483647',
			'pmTransmittedFrames'              => '2147483647',
			'pmUnsuccRetrmsOthFramesN200Times' => '2147483647',
			'pmUnsuccRetrmsSabmeN200Times'     => '2147483647',
		}
	},
	## [END] ManagedElement_AccessSignalling_DChannelTp

	## [START] MgwApplication_GcpAssociation
	{
		RULE_TYPE                                 => 'JOIN',
		RULE_DESC                                 => 'Join ManagedElement_MgwApplication_GcpAssociation files',
		INPUT_FILE_DESCRIPTION                    => [ '^ManagedElement_MgwApplication_GcpAssociation-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif', ],
		OUTPUT_BLOCK_NAME                         => 'MgwApplication_GcpAssociation',
		PRODUCE_PIF                               => 'True',
		PRODUCE_LIF                               => 0,
		COUNTERS_TO_JOIN_ON                       => [qw(userLabel GcpAssociation)],
		OUTPUT_FILENAME_START                     => 'MgwApplication_GcpAssociation',
		HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [qw(nEDistinguishedName_MeContext StartDate StartTime)],
		REDUNDANT_HEADER_COUNTERS                 => [],
		HOURS_TO_WAIT_FOR_PARTNER_FILES           => -1,
	},
	{
		RULE_TYPE               => 'UNPEGGER',
		RULE_DESC               => 'Unpeg MgwApplication_GcpAssociation counter values',
		INPUT_FILE_DESCRIPTION  => '^(MgwApplication_GcpAssociation-#-.+?)-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}.*-J.pif',
		INPUT_FILE_DATETIME_KEY => '^MgwApplication_GcpAssociation-#-.+?-#-(\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-J.pif',
		PEG_FILENAME_PREFIX     => 'SAVED',
		UNPEG_FILENAME_PREFIX   => 'UNPEG',
		UNPEG_FILE_TYPE         => 'HEADER',
		PRODUCE_PIF             => 'True',
		PRODUCE_LIF             => 0,
		KEEP_RAW_GRANULARITY    => 'True',
		MAX_PEG_PIF_AGE         => 'DURATION*4+60',
		CALCULATE_ROLLOVER      => 'True',
		DEFAULT_NULL_VALUE      => '',
		DATETIME_COUNTERS       => {
			STARTTIME => 'StartTime',
			STARTDATE => 'StartDate',
			DURATION  => 'granularityPeriod',
			FORMAT    => 'seconds',
		},
		COUNTERS_TO_SORT_ON => [qw (nEDistinguishedName_MeContext ManagedElement GcpAssociation)],
		PEG_COUNTERS        => {
			'pmNoOfSctpCommunicationErr'              => '2147483647',
			'pmNoOfSctpCommunicationLost'             => '2147483647',
			'pmNoOfSctpCongestionCeasedIndication'    => '2147483647',
			'pmNoOfSctpCongestionIndication'          => '2147483647',
			'pmNoOfSctpGcpMsgDiscarded'               => '2147483647',
			'pmNoOfSctpMaxTrialsForAssocEstabReached' => '2147483647',
			'pmNoOfSctpNetworkStatusChange'           => '2147483647',
			'pmNoOfSctpSendFailure'                   => '2147483647',
			'pmNoOfSctpSuccessAssocAbort'             => '2147483647',
			'pmNoOfSctpSuccessAssocEstablish'         => '2147483647',
			'pmNoOfSctpUnsuccessAssocEstablish'       => '2147483647',
		}
	},
	{
		RULE_TYPE              => 'ACCUMULATE',
		RULE_DESC              => 'Accumulate the MgwApplication_GcpAssociation joined counters',
		INPUT_FILE_DESCRIPTION => [ '^UNPEG-#-MgwApplication_GcpAssociation-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-A.pif', ],
		PRODUCE_PIF            => 'True',
		PRODUCE_LIF            => 0,
		COUNTERS_TO_SORT_ON    => [],
		NON_ADDITIVE_COUNTERS  => [qw(userLabel Gcp_Association ManagedElement DChannel_Tp IUA_App_Server)],
		OUTPUT_BLOCK_NAME      => 'MgwApplication_GcpAssociation',
	},
	## [END] MgwApplication_GcpAssociation

	## [START] MsProcessing_AmrWbService
	{
		RULE_TYPE                                 => 'JOIN',
		RULE_DESC                                 => 'Join MsProcessing_AmrWbService files',
		INPUT_FILE_DESCRIPTION                    => [ '^MsProcessing_AmrWbService-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif', ],
		OUTPUT_BLOCK_NAME                         => 'MsProcessing_AmrWbService',
		PRODUCE_PIF                               => 'True',
		PRODUCE_LIF                               => 0,
		COUNTERS_TO_JOIN_ON                       => [qw(userLabel AmrWbService)],
		OUTPUT_FILENAME_START                     => 'MsProcessing_AmrWbService',
		HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [qw(nEDistinguishedName_MeContext StartDate StartTime)],
		REDUNDANT_HEADER_COUNTERS                 => [],
		HOURS_TO_WAIT_FOR_PARTNER_FILES           => -1,
	},
	{
		RULE_TYPE               => 'UNPEGGER',
		RULE_DESC               => 'Unpeg MsProcessing_AmrWbService counter values ',
		INPUT_FILE_DESCRIPTION  => '^(MsProcessing_AmrWbService-#-.+?)-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}.*-J.pif',
		INPUT_FILE_DATETIME_KEY => '^MsProcessing_AmrWbService-#-.+?-#-(\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-J.pif',
		PEG_FILENAME_PREFIX     => 'SAVED',
		UNPEG_FILENAME_PREFIX   => 'UNPEG',
		UNPEG_FILE_TYPE         => 'HEADER',
		PRODUCE_PIF             => 0,
		PRODUCE_LIF             => 'True',
		KEEP_RAW_GRANULARITY    => 'True',
		MAX_PEG_PIF_AGE         => 'DURATION*4+60',
		CALCULATE_ROLLOVER      => 'True',
		DEFAULT_NULL_VALUE      => '',
		DATETIME_COUNTERS       => {
			STARTTIME => 'StartTime',
			STARTDATE => 'StartDate',
			DURATION  => 'granularityPeriod',
			FORMAT    => 'seconds',
		},
		COUNTERS_TO_SORT_ON => [qw (nEDistinguishedName_MeContext ManagedElement AmrWbService)],
		PEG_COUNTERS        => {
			'pmForcedRelease'  => '2147483647',
			'pmNormalRelease'  => '2147483647',
			'pmTotalSeizures'  => '2147483647',
			'pmUnsuccSeizures' => '2147483647',
		}
	},

	## [END] MsProcessing_AmrWbService

	## [START] MsProcessing_G729Service
	{
		RULE_TYPE                                 => 'JOIN',
		RULE_DESC                                 => 'Join ManagedElement_MsProcessing_G729Service files',
		INPUT_FILE_DESCRIPTION                    => [ '^ManagedElement_MsProcessing_G729Service-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif', ],
		OUTPUT_BLOCK_NAME                         => 'MsProcessing_G729Service',
		PRODUCE_PIF                               => 'True',
		PRODUCE_LIF                               => 0,
		COUNTERS_TO_JOIN_ON                       => [qw(userLabel G729Service)],
		OUTPUT_FILENAME_START                     => 'MsProcessing_G729Service',
		HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [qw(nEDistinguishedName_MeContext StartDate StartTime)],
		REDUNDANT_HEADER_COUNTERS                 => [],
		HOURS_TO_WAIT_FOR_PARTNER_FILES           => -1,
	},
	{
		RULE_TYPE               => 'UNPEGGER',
		RULE_DESC               => 'Unpeg ManagedElement_MsProcessing_G729Service counter values ',
		INPUT_FILE_DESCRIPTION  => '^(MsProcessing_G729Service-#-.+?)-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}.*-J.pif',
		INPUT_FILE_DATETIME_KEY => '^MsProcessing_G729Service-#-.+?-#-(\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-J.pif',
		PEG_FILENAME_PREFIX     => 'SAVED',
		UNPEG_FILENAME_PREFIX   => 'UNPEG',
		UNPEG_FILE_TYPE         => 'HEADER',
		PRODUCE_PIF             => 'True',
		PRODUCE_LIF             => 0,
		KEEP_RAW_GRANULARITY    => 'True',
		MAX_PEG_PIF_AGE         => 'DURATION*4+60',
		CALCULATE_ROLLOVER      => 'True',
		DEFAULT_NULL_VALUE      => '',
		DATETIME_COUNTERS       => {
			STARTTIME => 'StartTime',
			STARTDATE => 'StartDate',
			DURATION  => 'granularityPeriod',
			FORMAT    => 'seconds',
		},
		COUNTERS_TO_SORT_ON => [qw (nEDistinguishedName_MeContext ManagedElement G729Service)],
		PEG_COUNTERS        => {
			'pmForcedRelease'  => '2147483647',
			'pmNormalRelease'  => '2147483647',
			'pmTotalSeizures'  => '2147483647',
			'pmUnsuccSeizures' => '2147483647',
		}
	},

	## [END] MsProcessing_G729Service

	## [START] MsProcessing_PcmService

	{
		RULE_TYPE                                 => 'JOIN',
		RULE_DESC                                 => 'Join MsProcessing_PcmService files',
		INPUT_FILE_DESCRIPTION                    => [ '^MsProcessing_PcmService-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif', ],
		OUTPUT_BLOCK_NAME                         => 'MsProcessing_PcmService',
		PRODUCE_PIF                               => 'True',
		PRODUCE_LIF                               => 0,
		COUNTERS_TO_JOIN_ON                       => [qw(userLabel PcmService)],
		OUTPUT_FILENAME_START                     => 'MsProcessing_PcmService',
		HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [qw(nEDistinguishedName_MeContext StartDate StartTime)],
		REDUNDANT_HEADER_COUNTERS                 => [],
		HOURS_TO_WAIT_FOR_PARTNER_FILES           => -1,
	},
	{
		RULE_TYPE               => 'UNPEGGER',
		RULE_DESC               => 'Unpeg ManagedElement_MsProcessing_PcmService counter values ',
		INPUT_FILE_DESCRIPTION  => '^(MsProcessing_PcmService-#-.+?)-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}.*-J.pif',
		INPUT_FILE_DATETIME_KEY => '^MsProcessing_PcmService-#-.+?-#-(\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-J.pif',
		PEG_FILENAME_PREFIX     => 'SAVED',
		UNPEG_FILENAME_PREFIX   => 'UNPEG',
		UNPEG_FILE_TYPE         => 'HEADER',
		PRODUCE_PIF             => 0,
		PRODUCE_LIF             => 'True',
		KEEP_RAW_GRANULARITY    => 'True',
		MAX_PEG_PIF_AGE         => 'DURATION*4+60',
		CALCULATE_ROLLOVER      => 'True',
		DEFAULT_NULL_VALUE      => '',
		DATETIME_COUNTERS       => {
			STARTTIME => 'StartTime',
			STARTDATE => 'StartDate',
			DURATION  => 'granularityPeriod',
			FORMAT    => 'seconds',
		},
		COUNTERS_TO_SORT_ON => [qw (nEDistinguishedName_MeContext ManagedElement PcmService)],
		PEG_COUNTERS        => {
			'pmBusyUnitsG729'  => '2147483647',
			'pmForcedRelease'  => '2147483647',
			'pmNormalRelease'  => '2147483647',
			'pmTotalSeizures'  => '2147483647',
			'pmUnsuccSeizures' => '2147483647',
		}
	},

	## [END] MsProcessing_PcmService

	## [START] TransportNetwork_Mtp2TpTtc
	{
		RULE_TYPE                                 => 'JOIN',
		RULE_DESC                                 => 'Join TransportNetwork_Mtp2TpTtc files',
		INPUT_FILE_DESCRIPTION                    => [ '^ManagedElement_TransportNetwork_Mtp2TpTtc-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif', ],
		OUTPUT_BLOCK_NAME                         => 'TransportNetwork_Mtp2TpTtc',
		PRODUCE_PIF                               => 'True',
		PRODUCE_LIF                               => 0,
		COUNTERS_TO_JOIN_ON                       => [qw(userLabel Mtp2TpTtc)],
		OUTPUT_FILENAME_START                     => 'TransportNetwork_Mtp2TpTtc',
		HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [qw(nEDistinguishedName_MeContext StartDate StartTime)],
		REDUNDANT_HEADER_COUNTERS                 => [],
		HOURS_TO_WAIT_FOR_PARTNER_FILES           => -1,
	},
	{
		RULE_TYPE               => 'UNPEGGER',
		RULE_DESC               => 'Unpeg TransportNetwork_Mtp2TpTtc counter values ',
		INPUT_FILE_DESCRIPTION  => '^(TransportNetwork_Mtp2TpTtc-#-.+?)-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}.*-J.pif',
		INPUT_FILE_DATETIME_KEY => '^TransportNetwork_Mtp2TpTtc-#-.+?-#-(\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-J.pif',
		PEG_FILENAME_PREFIX     => 'SAVED',
		UNPEG_FILENAME_PREFIX   => 'UNPEG',
		UNPEG_FILE_TYPE         => 'HEADER',
		PRODUCE_PIF             => 'True',
		PRODUCE_LIF             => 0,
		KEEP_RAW_GRANULARITY    => 'True',
		MAX_PEG_PIF_AGE         => 'DURATION*4+60',
		CALCULATE_ROLLOVER      => 'True',
		DEFAULT_NULL_VALUE      => '',
		DATETIME_COUNTERS       => {
			STARTTIME => 'StartTime',
			STARTDATE => 'StartDate',
			DURATION  => 'granularityPeriod',
			FORMAT    => 'seconds',
		},
		COUNTERS_TO_SORT_ON => [qw (nEDistinguishedName_MeContext ManagedElement Mtp2TpTtc)],
		PEG_COUNTERS        => {
			'pmLocalSIBTime'            => '2147483647',
			'pmNoOfMSUReceived'         => '2147483647',
			'pmNoOfMSUTransmitted'      => '2147483647',
			'pmNoOfNacks'               => '2147483647',
			'pmNoOfReTransmittedOctets' => '2147483647',
			'pmNoOfSIOSIFReceived'      => '2147483647',
			'pmNoOfSIOSIFTransmitted'   => '2147483647',
			'pmNoOfStartedRBCongestion' => '2147483647',
			'pmNoOfSuReceivedInError'   => '2147483647',
			'pmRemoteSIBTime'           => '2147483647',
		}
	},

	## [END] TransportNetwork_Mtp2TpTtc

	## [START] TransportNetwork_Mtp3bSpAnsi_M3uAssociation
	{
		RULE_TYPE               => 'UNPEGGER',
		RULE_DESC               => 'Unpeg TransportNetwork_Mtp3bSpAnsi_M3uAssociation counter values ',
		INPUT_FILE_DESCRIPTION  => '^(TransportNetwork_Mtp3bSpAnsi_M3uAssociation-#-.+?)-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}.*-J.pif',
		INPUT_FILE_DATETIME_KEY => 'TransportNetwork_Mtp3bSpAnsi_M3uAssociation-#-.+?-#-(\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-J.pif',
		PEG_FILENAME_PREFIX     => 'SAVED',
		UNPEG_FILENAME_PREFIX   => 'UNPEG',
		UNPEG_FILE_TYPE         => 'HEADER',
		PRODUCE_PIF             => 'True',
		PRODUCE_LIF             => 0,
		KEEP_RAW_GRANULARITY    => 'True',
		MAX_PEG_PIF_AGE         => 'DURATION*4+60',
		CALCULATE_ROLLOVER      => 'True',
		DEFAULT_NULL_VALUE      => '',
		DATETIME_COUNTERS       => {
			STARTTIME => 'StartTime',
			STARTDATE => 'StartDate',
			DURATION  => 'granularityPeriod',
			FORMAT    => 'seconds',
		},
		COUNTERS_TO_SORT_ON => [qw(nEDistinguishedName_MeContext ManagedElement M3uAssociation)],
		PEG_COUNTERS        => {
			'pmNoOfAspacAckReceived'     => '2147483647',
			'pmNoOfAspacAckSent'         => '2147483647',
			'pmNoOfAspacReceived'        => '2147483647',
			'pmNoOfAspacSent'            => '2147483647',
			'pmNoOfAspdnAckReceived'     => '2147483647',
			'pmNoOfAspdnAckSent'         => '2147483647',
			'pmNoOfAspdnReceived'        => '2147483647',
			'pmNoOfAspdnSent'            => '2147483647',
			'pmNoOfAspiaAckReceived'     => '2147483647',
			'pmNoOfAspiaAckSent'         => '2147483647',
			'pmNoOfAspiaReceived'        => '2147483647',
			'pmNoOfAspiaSent'            => '2147483647',
			'pmNoOfAspupAckReceived'     => '2147483647',
			'pmNoOfAspupAckSent'         => '2147483647',
			'pmNoOfAspupReceived'        => '2147483647',
			'pmNoOfAspupSent'            => '2147483647',
			'pmNoOfCommunicationLost'    => '2147483647',
			'pmNoOfCongestions'          => '2147483647',
			'pmNoOfDataMsgRec'           => '2147483647',
			'pmNoOfDataMsgSent'          => '2147483647',
			'pmNoOfDaudMsgRec'           => '2147483647',
			'pmNoOfDaudMsgSent'          => '2147483647',
			'pmNoOfDavaRec'              => '2147483647',
			'pmNoOfDavaSent'             => '2147483647',
			'pmNoOfDunaRec'              => '2147483647',
			'pmNoOfDunaSent'             => '2147483647',
			'pmNoOfDupuRec'              => '2147483647',
			'pmNoOfDupuSent'             => '2147483647',
			'pmNoOfErrorMsgRec'          => '2147483647',
			'pmNoOfErrorMsgSent'         => '2147483647',
			'pmNoOfM3uaDataMsgDiscarded' => '2147483647',
			'pmNoOfNotifyMsgRec'         => '2147483647',
			'pmNoOfRecUserData'          => '2147483647',
			'pmNoOfSconRec'              => '2147483647',
			'pmNoOfSconSent'             => '2147483647',
			'pmNoOfSentUserData'         => '2147483647',
		}
	},
	{
		RULE_TYPE              => 'ACCUMULATE',
		RULE_DESC              => 'Accumulate the TransportNetwork_Mtp3bSpAnsi_M3uAssociation unpegged counters',
		INPUT_FILE_DESCRIPTION => [ '^UNPEG-#-TransportNetwork_Mtp3bSpAnsi_M3uAssociation-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-J.pif', ],
		PRODUCE_PIF            => 'True',
		PRODUCE_LIF            => 0,
		COUNTERS_TO_SORT_ON    => [],
		NON_ADDITIVE_COUNTERS  => [qw(userLabel M3uAssociation ManagedElement MgwApplication TransportNetwork)],
		OLD_COUNTER_NAMES      => [qw(pmNoOfDataMsgRec pmNoOfDataMsgSent pmNoOfRecUserData pmNoOfSentUserData)],
		NEW_COUNTER_NAMES      => [qw(M3uA_pmNoOfDataMsgRec M3uA_pmNoOfDataMsgSent M3uA_pmNoOfRecUserData M3uA_pmNoOfSentUserData)],
		OUTPUT_BLOCK_NAME      => 'TransportNetwork_Mtp3bSpAnsi_M3uAssociation',
	},
	## [END] TransportNetwork_Mtp3bSpAnsi_M3uAssociation

	## [START] TransportNetwork_Mtp3bSpChina_M3uAssociation
	{
		RULE_TYPE                                 => 'JOIN',
		RULE_DESC                                 => 'Join TransportNetwork_Mtp3bSpChina_M3uAssociation files',
		INPUT_FILE_DESCRIPTION                    => [ '^TransportNetwork_Mtp3bSpChina_M3uAssociation-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif', ],
		OUTPUT_BLOCK_NAME                         => 'TransportNetwork_Mtp3bSpChina_M3uAssociation',
		PRODUCE_PIF                               => 'True',
		PRODUCE_LIF                               => 0,
		COUNTERS_TO_JOIN_ON                       => [qw(userLabel M3uAssociation)],
		OUTPUT_FILENAME_START                     => 'TransportNetwork_Mtp3bSpChina_M3uAssociation',
		HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [qw(nEDistinguishedName_MeContext StartDate StartTime)],
		REDUNDANT_HEADER_COUNTERS                 => [],
		HOURS_TO_WAIT_FOR_PARTNER_FILES           => -1,
	},
	{
		RULE_TYPE               => 'UNPEGGER',
		RULE_DESC               => 'Unpeg TransportNetwork_Mtp3bSpChina_M3uAssociation counter values ',
		INPUT_FILE_DESCRIPTION  => '^(TransportNetwork_Mtp3bSpChina_M3uAssociation-#-.+?)-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}.*-J.pif',
		INPUT_FILE_DATETIME_KEY => '^TransportNetwork_Mtp3bSpChina_M3uAssociation-#-.+?-#-(\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-J.pif',
		PEG_FILENAME_PREFIX     => 'SAVED',
		UNPEG_FILENAME_PREFIX   => 'UNPEG',
		UNPEG_FILE_TYPE         => 'HEADER',
		PRODUCE_PIF             => 'True',
		PRODUCE_LIF             => 0,
		KEEP_RAW_GRANULARITY    => 'True',
		MAX_PEG_PIF_AGE         => 'DURATION*4+60',
		CALCULATE_ROLLOVER      => 'True',
		DEFAULT_NULL_VALUE      => '',
		DATETIME_COUNTERS       => {
			STARTTIME => 'StartTime',
			STARTDATE => 'StartDate',
			DURATION  => 'granularityPeriod',
			FORMAT    => 'seconds',
		},
		COUNTERS_TO_SORT_ON => [qw (nEDistinguishedName_MeContext ManagedElement M3uAssociation)],
		PEG_COUNTERS        => {
			'pmNoOfAspacAckReceived'     => '2147483647',
			'pmNoOfAspacAckSent'         => '2147483647',
			'pmNoOfAspacReceived'        => '2147483647',
			'pmNoOfAspacSent'            => '2147483647',
			'pmNoOfAspdnAckReceived'     => '2147483647',
			'pmNoOfAspdnAckSent'         => '2147483647',
			'pmNoOfAspdnReceived'        => '2147483647',
			'pmNoOfAspdnSent'            => '2147483647',
			'pmNoOfAspiaAckReceived'     => '2147483647',
			'pmNoOfAspiaAckSent'         => '2147483647',
			'pmNoOfAspiaReceived'        => '2147483647',
			'pmNoOfAspiaSent'            => '2147483647',
			'pmNoOfAspupAckReceived'     => '2147483647',
			'pmNoOfAspupAckSent'         => '2147483647',
			'pmNoOfAspupReceived'        => '2147483647',
			'pmNoOfAspupSent'            => '2147483647',
			'pmNoOfCommunicationLost'    => '2147483647',
			'pmNoOfCongestions'          => '2147483647',
			'pmNoOfDataMsgRec'           => '2147483647',
			'pmNoOfDataMsgSent'          => '2147483647',
			'pmNoOfDaudMsgRec'           => '2147483647',
			'pmNoOfDaudMsgSent'          => '2147483647',
			'pmNoOfDavaRec'              => '2147483647',
			'pmNoOfDavaSent'             => '2147483647',
			'pmNoOfDunaRec'              => '2147483647',
			'pmNoOfDunaSent'             => '2147483647',
			'pmNoOfDupuRec'              => '2147483647',
			'pmNoOfDupuSent'             => '2147483647',
			'pmNoOfErrorMsgRec'          => '2147483647',
			'pmNoOfErrorMsgSent'         => '2147483647',
			'pmNoOfM3uaDataMsgDiscarded' => '2147483647',
			'pmNoOfNotifyMsgRec'         => '2147483647',
			'pmNoOfSconRec'              => '2147483647',
			'pmNoOfSconSent'             => '2147483647',
			'pmNoOfRecUserData'          => '2147483647',
			'pmNoOfSentUserData'         => '2147483647',
		}
	},
	{
		RULE_TYPE              => 'ACCUMULATE',
		RULE_DESC              => 'Accumulate the TransportNetwork_Mtp3bSpChina_M3uAssociation unpegged counters',
		INPUT_FILE_DESCRIPTION => [ '^UNPEG-#-TransportNetwork_Mtp3bSpChina_M3uAssociation-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-J.pif', ],
		PRODUCE_PIF            => 'True',
		PRODUCE_LIF            => 0,
		COUNTERS_TO_SORT_ON    => [],
		NON_ADDITIVE_COUNTERS  => [qw(userLabel M3uAssociation ManagedElement MgwApplication TransportNetwork)],
		OLD_COUNTER_NAMES      => [qw(pmNoOfDataMsgRec pmNoOfDataMsgSent pmNoOfRecUserData pmNoOfSentUserData)],
		NEW_COUNTER_NAMES      => [qw(M3uA_pmNoOfDataMsgRec M3uA_pmNoOfDataMsgSent M3uA_pmNoOfRecUserData M3uA_pmNoOfSentUserData)],
		OUTPUT_BLOCK_NAME      => 'TransportNetwork_Mtp3bSpChina_M3uAssociation',
	},
	## [END] TransportNetwork_Mtp3bSpChina_M3uAssociation

	## [START] TransportNetwork_Mtp3bSpItu_M3uAssociation
	{
		RULE_TYPE               => 'UNPEGGER',
		RULE_DESC               => 'Unpeg TransportNetwork_Mtp3bSpItu_M3uAssociation counter values ',
		INPUT_FILE_DESCRIPTION  => '^(TransportNetwork_Mtp3bSpItu_M3uAssociation-#-.+?)-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}.*-J.pif',
		INPUT_FILE_DATETIME_KEY => '^TransportNetwork_Mtp3bSpItu_M3uAssociation-#-.+?-#-(\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-J.pif',
		PEG_FILENAME_PREFIX     => 'SAVED',
		UNPEG_FILENAME_PREFIX   => 'UNPEG',
		UNPEG_FILE_TYPE         => 'HEADER',
		PRODUCE_PIF             => 'True',
		PRODUCE_LIF             => 0,
		KEEP_RAW_GRANULARITY    => 'True',
		MAX_PEG_PIF_AGE         => 'DURATION*4+60',
		CALCULATE_ROLLOVER      => 'True',
		DEFAULT_NULL_VALUE      => '',
		DATETIME_COUNTERS       => {
			STARTTIME => 'StartTime',
			STARTDATE => 'StartDate',
			DURATION  => 'granularityPeriod',
			FORMAT    => 'seconds',
		},
		COUNTERS_TO_SORT_ON => [
			qw (nEDistinguishedName_MeContext ManagedElement TransportNetwork Mtp3bSpItu M3uAssociation)
		],
		PEG_COUNTERS => {
			'pmNoOfAspacAckReceived'     => '2147483647',
			'pmNoOfAspacAckSent'         => '2147483647',
			'pmNoOfAspacReceived'        => '2147483647',
			'pmNoOfAspacSent'            => '2147483647',
			'pmNoOfAspdnAckReceived'     => '2147483647',
			'pmNoOfAspdnAckSent'         => '2147483647',
			'pmNoOfAspdnReceived'        => '2147483647',
			'pmNoOfAspdnSent'            => '2147483647',
			'pmNoOfAspiaAckReceived'     => '2147483647',
			'pmNoOfAspiaAckSent'         => '2147483647',
			'pmNoOfAspiaReceived'        => '2147483647',
			'pmNoOfAspiaSent'            => '2147483647',
			'pmNoOfAspupAckReceived'     => '2147483647',
			'pmNoOfAspupAckSent'         => '2147483647',
			'pmNoOfAspupReceived'        => '2147483647',
			'pmNoOfAspupSent'            => '2147483647',
			'pmNoOfCommunicationLost'    => '2147483647',
			'pmNoOfCongestions'          => '2147483647',
			'pmNoOfDataMsgRec'           => '2147483647',
			'pmNoOfDataMsgSent'          => '2147483647',
			'pmNoOfDaudMsgRec'           => '2147483647',
			'pmNoOfDaudMsgSent'          => '2147483647',
			'pmNoOfDavaRec'              => '2147483647',
			'pmNoOfDavaSent'             => '2147483647',
			'pmNoOfDunaRec'              => '2147483647',
			'pmNoOfDunaSent'             => '2147483647',
			'pmNoOfDupuRec'              => '2147483647',
			'pmNoOfDupuSent'             => '2147483647',
			'pmNoOfErrorMsgRec'          => '2147483647',
			'pmNoOfErrorMsgSent'         => '2147483647',
			'pmNoOfM3uaDataMsgDiscarded' => '2147483647',
			'pmNoOfNotifyMsgRec'         => '2147483647',
			'pmNoOfSconRec'              => '2147483647',
			'pmNoOfSconSent'             => '2147483647',

			## added r5.1
			'pmNoOfRecUserData'  => '2147483647',
			'pmNoOfSentUserData' => '2147483647',
		}
	},
	{
		RULE_TYPE              => 'ACCUMULATE',
		RULE_DESC              => 'Accumulate the TransportNetwork_Mtp3bSpItu_M3uAssociation joined counters',
		INPUT_FILE_DESCRIPTION => [ '^UNPEG-#-TransportNetwork_Mtp3bSpItu_M3uAssociation-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-J.pif', ],
		PRODUCE_PIF            => 'True',
		PRODUCE_LIF            => 0,
		COUNTERS_TO_SORT_ON    => [],
		NON_ADDITIVE_COUNTERS  => [
			qw(userLabel M3uAssociation ManagedElement MgwApplication TransportNetwork)
		],
		OLD_COUNTER_NAMES => [qw(pmNoOfDataMsgRec pmNoOfDataMsgSent pmNoOfRecUserData pmNoOfSentUserData)],
		NEW_COUNTER_NAMES => [qw(M3uA_pmNoOfDataMsgRec M3uA_pmNoOfDataMsgSent M3uA_pmNoOfRecUserData M3uA_pmNoOfSentUserData)],
		OUTPUT_BLOCK_NAME => 'TransportNetwork_Mtp3bSpItu_M3uAssociation',
	},

	## [END] TransportNetwork_Mtp3bSpItu_M3uAssociation

	## [START] TransportNetwork_Mtp3bSpTtc_M3uAssociation
	{
		RULE_TYPE                                 => 'JOIN',
		RULE_DESC                                 => 'Join TransportNetwork_Mtp3bSpTtc_M3uAssociation files',
		INPUT_FILE_DESCRIPTION                    => [ '^ManagedElement_TransportNetwork_Mtp3bSpTtc_M3uAssociation-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif', ],
		OUTPUT_BLOCK_NAME                         => 'TransportNetwork_Mtp3bSpTtc_M3uAssociation',
		PRODUCE_PIF                               => 'True',
		PRODUCE_LIF                               => 0,
		COUNTERS_TO_JOIN_ON                       => [qw(userLabel M3uAssociation)],
		OUTPUT_FILENAME_START                     => 'TransportNetwork_Mtp3bSpTtc_M3uAssociation',
		HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [qw(nEDistinguishedName_MeContext StartDate StartTime)],
		REDUNDANT_HEADER_COUNTERS                 => [],
		HOURS_TO_WAIT_FOR_PARTNER_FILES           => -1,
	},
	{
		RULE_TYPE               => 'UNPEGGER',
		RULE_DESC               => 'Unpeg TransportNetwork_Mtp3bSpTtc_M3uAssociation counter values',
		INPUT_FILE_DESCRIPTION  => '^(TransportNetwork_Mtp3bSpTtc_M3uAssociation-#-.+?)-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}.*-J.pif',
		INPUT_FILE_DATETIME_KEY => '^TransportNetwork_Mtp3bSpTtc_M3uAssociation-#-.+?-#-(\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-J.pif',
		PEG_FILENAME_PREFIX     => 'SAVED',
		UNPEG_FILENAME_PREFIX   => 'UNPEG',
		UNPEG_FILE_TYPE         => 'HEADER',
		PRODUCE_PIF             => 'True',
		PRODUCE_LIF             => 0,
		KEEP_RAW_GRANULARITY    => 'True',
		MAX_PEG_PIF_AGE         => 'DURATION*4+60',
		CALCULATE_ROLLOVER      => 'True',
		DEFAULT_NULL_VALUE      => '',
		DATETIME_COUNTERS       => {
			STARTTIME => 'StartTime',
			STARTDATE => 'StartDate',
			DURATION  => 'granularityPeriod',
			FORMAT    => 'seconds',
		},
		COUNTERS_TO_SORT_ON => [qw (nEDistinguishedName_MeContext ManagedElement M3uAssociation)],
		PEG_COUNTERS        => {
			'pmNoOfAspacAckReceived'     => '2147483647',
			'pmNoOfAspacAckSent'         => '2147483647',
			'pmNoOfAspacReceived'        => '2147483647',
			'pmNoOfAspacSent'            => '2147483647',
			'pmNoOfAspdnAckReceived'     => '2147483647',
			'pmNoOfAspdnAckSent'         => '2147483647',
			'pmNoOfAspdnReceived'        => '2147483647',
			'pmNoOfAspdnSent'            => '2147483647',
			'pmNoOfAspiaAckReceived'     => '2147483647',
			'pmNoOfAspiaAckSent'         => '2147483647',
			'pmNoOfAspiaReceived'        => '2147483647',
			'pmNoOfAspiaSent'            => '2147483647',
			'pmNoOfAspupAckReceived'     => '2147483647',
			'pmNoOfAspupAckSent'         => '2147483647',
			'pmNoOfAspupReceived'        => '2147483647',
			'pmNoOfAspupSent'            => '2147483647',
			'pmNoOfCommunicationLost'    => '2147483647',
			'pmNoOfCongestions'          => '2147483647',
			'pmNoOfDataMsgRec'           => '2147483647',
			'pmNoOfDataMsgSent'          => '2147483647',
			'pmNoOfDaudMsgRec'           => '2147483647',
			'pmNoOfDaudMsgSent'          => '2147483647',
			'pmNoOfDavaRec'              => '2147483647',
			'pmNoOfDavaSent'             => '2147483647',
			'pmNoOfDunaRec'              => '2147483647',
			'pmNoOfDunaSent'             => '2147483647',
			'pmNoOfDupuRec'              => '2147483647',
			'pmNoOfDupuSent'             => '2147483647',
			'pmNoOfErrorMsgRec'          => '2147483647',
			'pmNoOfErrorMsgSent'         => '2147483647',
			'pmNoOfM3uaDataMsgDiscarded' => '2147483647',
			'pmNoOfNotifyMsgRec'         => '2147483647',
			'pmNoOfSconRec'              => '2147483647',
			'pmNoOfSconSent'             => '2147483647',
			'pmNoOfRecUserData'          => '2147483647',
			'pmNoOfSentUserData'         => '2147483647',

		}
	},
	{
		RULE_TYPE              => 'ACCUMULATE',
		RULE_DESC              => 'Accumulate the TransportNetwork_Mtp3bSpTtc_M3uAssociation joined counters',
		INPUT_FILE_DESCRIPTION => [ '^UNPEG-#-TransportNetwork_Mtp3bSpTtc_M3uAssociation-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-J.pif', ],
		PRODUCE_PIF            => 'True',
		PRODUCE_LIF            => 0,
		COUNTERS_TO_SORT_ON    => [],
		NON_ADDITIVE_COUNTERS  => [
			qw(userLabel M3uAssociation ManagedElement MgwApplication TransportNetwork)
		],
		OLD_COUNTER_NAMES => [qw(pmNoOfDataMsgRec pmNoOfDataMsgSent pmNoOfRecUserData pmNoOfSentUserData)],
		NEW_COUNTER_NAMES => [qw(M3uA_pmNoOfDataMsgRec M3uA_pmNoOfDataMsgSent M3uA_pmNoOfRecUserData M3uA_pmNoOfSentUserData)],
		OUTPUT_BLOCK_NAME => 'TransportNetwork_Mtp3bSpTtc_M3uAssociation',
	},
	## [END] TransportNetwork_Mtp3bSpTtc_M3uAssociation

	## [START] MsProcessing_IpEtService
	{
		RULE_TYPE                                 => 'JOIN',
		RULE_DESC                                 => 'Join MsProcessing_IpEtService files',
		INPUT_FILE_DESCRIPTION                    => [ '^ManagedElement_MsProcessing_IpEtService-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif', ],
		OUTPUT_BLOCK_NAME                         => 'MsProcessing_IpEtService',
		PRODUCE_PIF                               => 'True',
		PRODUCE_LIF                               => 0,
		COUNTERS_TO_JOIN_ON                       => [qw(userLabel IpEtService)],
		OUTPUT_FILENAME_START                     => 'MsProcessing_IpEtService',
		HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [qw(nEDistinguishedName_MeContext StartDate StartTime)],
		REDUNDANT_HEADER_COUNTERS                 => [],
		HOURS_TO_WAIT_FOR_PARTNER_FILES           => -1,
	},
	{
		RULE_TYPE               => 'UNPEGGER',
		RULE_DESC               => 'Unpeg MsProcessing_IpEtService counter values ',
		INPUT_FILE_DESCRIPTION  => '^(MsProcessing_IpEtService-#-.+?)-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}.*-J.pif',
		INPUT_FILE_DATETIME_KEY => '^MsProcessing_IpEtService-#-.+?-#-(\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-J.pif',
		PEG_FILENAME_PREFIX     => 'SAVED',
		UNPEG_FILENAME_PREFIX   => 'UNPEG',
		UNPEG_FILE_TYPE         => 'HEADER',
		PRODUCE_PIF             => 0,
		PRODUCE_LIF             => 'True',
		KEEP_RAW_GRANULARITY    => 'True',
		MAX_PEG_PIF_AGE         => 'DURATION*4+60',
		CALCULATE_ROLLOVER      => 'True',
		DEFAULT_NULL_VALUE      => '',
		DATETIME_COUNTERS       => {
			STARTTIME => 'StartTime',
			STARTDATE => 'StartDate',
			DURATION  => 'granularityPeriod',
			FORMAT    => 'seconds',
		},
		COUNTERS_TO_SORT_ON => [qw(nEDistinguishedName_MeContext ManagedElement M3uAssociation)],
		PEG_COUNTERS        => {
			'pmForcedRelease'  => '2147483647',
			'pmNormalRelease'  => '2147483647',
			'pmTotalSeizures'  => '2147483647',
			'pmUnsuccSeizures' => '2147483647',
		}
	},
	## [END] MsProcessing_IpEtService

	## [START] TransportNetwork_Mtp3bSpAnsi_Mtp3bAp
	{
		RULE_TYPE                                 => 'JOIN',
		RULE_DESC                                 => 'Join TransportNetwork_Mtp3bSpAnsi_Mtp3bAp files',
		INPUT_FILE_DESCRIPTION                    => [ '^ManagedElement_TransportNetwork_Mtp3bSpAnsi_Mtp3bAp-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif', ],
		OUTPUT_BLOCK_NAME                         => 'TransportNetwork_Mtp3bSpAnsi_Mtp3bAp',
		PRODUCE_PIF                               => 'True',
		PRODUCE_LIF                               => 0,
		COUNTERS_TO_JOIN_ON                       => [qw(userLabel Mtp3bAp)],
		OUTPUT_FILENAME_START                     => 'TransportNetwork_Mtp3bSpAnsi_Mtp3bAp',
		HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [qw(nEDistinguishedName_MeContext StartDate StartTime)],
		REDUNDANT_HEADER_COUNTERS                 => [],
		HOURS_TO_WAIT_FOR_PARTNER_FILES           => -1,
	},
	{
		RULE_TYPE               => 'UNPEGGER',
		RULE_DESC               => 'Unpeg TransportNetwork_Mtp3bSpAnsi_Mtp3bAp counter values ',
		INPUT_FILE_DESCRIPTION  => '^(TransportNetwork_Mtp3bSpAnsi_Mtp3bAp-#-.+?)-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}.*-J.pif',
		INPUT_FILE_DATETIME_KEY => '^TransportNetwork_Mtp3bSpAnsi_Mtp3bAp-#-.+?-#-(\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-J.pif',
		PEG_FILENAME_PREFIX     => 'SAVED',
		UNPEG_FILENAME_PREFIX   => 'UNPEG',
		UNPEG_FILE_TYPE         => 'HEADER',
		PRODUCE_PIF             => 0,
		PRODUCE_LIF             => 'True',
		KEEP_RAW_GRANULARITY    => 'True',
		MAX_PEG_PIF_AGE         => 'DURATION*4+60',
		CALCULATE_ROLLOVER      => 'True',
		DEFAULT_NULL_VALUE      => '',
		DATETIME_COUNTERS       => {
			STARTTIME => 'StartTime',
			STARTDATE => 'StartDate',
			DURATION  => 'granularityPeriod',
			FORMAT    => 'seconds',
		},
		COUNTERS_TO_SORT_ON => [qw(nEDistinguishedName_MeContext Mtp3bAp)],
		PEG_COUNTERS        => {
			'pmNoOfAdjacentSPNotAccessible' => '2147483647',
			'pmNoOfUserPartUnavailRec'      => '2147483647',
		}
	},
	## [END] TransportNetwork_Mtp3bSpAnsi_Mtp3bAp

	## [START] TransportNetwork_Mtp3bSpAnsi_Mtp3bSrs_Mtp3bSr
	{
		RULE_TYPE                                 => 'JOIN',
		RULE_DESC                                 => 'Join TransportNetwork_Mtp3bSpAnsi_Mtp3bSrs_Mtp3bSr files',
		INPUT_FILE_DESCRIPTION                    => [ '^TransportNetwork_Mtp3bSpAnsi_Mtp3bSrs_Mtp3bSr-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif', ],
		OUTPUT_BLOCK_NAME                         => 'TransportNetwork_Mtp3bSpAnsi_Mtp3bSrs_Mtp3bSr',
		PRODUCE_PIF                               => 'True',
		PRODUCE_LIF                               => 0,
		COUNTERS_TO_JOIN_ON                       => [qw(userLabel Mtp3bSr)],
		OUTPUT_FILENAME_START                     => 'TransportNetwork_Mtp3bSpAnsi_Mtp3bSrs_Mtp3bSr',
		HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [qw(nEDistinguishedName_MeContext StartDate StartTime)],
		REDUNDANT_HEADER_COUNTERS                 => [],
		HOURS_TO_WAIT_FOR_PARTNER_FILES           => -1,
	},
	{
		RULE_TYPE               => 'UNPEGGER',
		RULE_DESC               => 'Unpeg TransportNetwork_Mtp3bSpAnsi_Mtp3bSrs_Mtp3bSr counter values ',
		INPUT_FILE_DESCRIPTION  => '^(TransportNetwork_Mtp3bSpAnsi_Mtp3bSrs_Mtp3bSr-#-.+?)-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}.*-J.pif',
		INPUT_FILE_DATETIME_KEY => '^TransportNetwork_Mtp3bSpAnsi_Mtp3bSrs_Mtp3bSr-#-.+?-#-(\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-J.pif',
		PEG_FILENAME_PREFIX     => 'SAVED',
		UNPEG_FILENAME_PREFIX   => 'UNPEG',
		UNPEG_FILE_TYPE         => 'HEADER',
		PRODUCE_PIF             => 'True',
		PRODUCE_LIF             => 0,
		KEEP_RAW_GRANULARITY    => 'True',
		MAX_PEG_PIF_AGE         => 'DURATION*4+60',
		CALCULATE_ROLLOVER      => 'True',
		DEFAULT_NULL_VALUE      => '',
		DATETIME_COUNTERS       => {
			STARTTIME => 'StartTime',
			STARTDATE => 'StartDate',
			DURATION  => 'granularityPeriod',
			FORMAT    => 'seconds',
		},
		COUNTERS_TO_SORT_ON => [qw(nEDistinguishedName_MeContext Mtp3bSr)],
		PEG_COUNTERS        => { 'pmNoOfSecondsAccumulatedRouteUnavailable' => '2147483647', }
	},
	## [END] TransportNetwork_Mtp3bSpAnsi_Mtp3bSrs_Mtp3bSr

	## [START] TransportNetwork_Mtp3bSpChina_Mtp3bAp
	{
		RULE_TYPE                                 => 'JOIN',
		RULE_DESC                                 => 'Join TransportNetwork_Mtp3bSpChina_Mtp3bAp files',
		INPUT_FILE_DESCRIPTION                    => [ '^ManagedElement_TransportNetwork_Mtp3bSpChina_Mtp3bAp-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif', ],
		OUTPUT_BLOCK_NAME                         => 'TransportNetwork_Mtp3bSpChina_Mtp3bAp',
		PRODUCE_PIF                               => 'True',
		PRODUCE_LIF                               => 0,
		COUNTERS_TO_JOIN_ON                       => [qw(userLabel Mtp3bAp)],
		OUTPUT_FILENAME_START                     => 'TransportNetwork_Mtp3bSpChina_Mtp3bAp',
		HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [qw(nEDistinguishedName_MeContext StartDate StartTime)],
		REDUNDANT_HEADER_COUNTERS                 => [],
		HOURS_TO_WAIT_FOR_PARTNER_FILES           => -1,
	},
	{
		RULE_TYPE               => 'UNPEGGER',
		RULE_DESC               => 'Unpeg TransportNetwork_Mtp3bSpChina_Mtp3bAp counter values ',
		INPUT_FILE_DESCRIPTION  => '^(TransportNetwork_Mtp3bSpChina_Mtp3bAp-#-.+?)-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}.*-J.pif',
		INPUT_FILE_DATETIME_KEY => '^TransportNetwork_Mtp3bSpChina_Mtp3bAp-#-.+?-#-(\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-J.pif',
		PEG_FILENAME_PREFIX     => 'SAVED',
		UNPEG_FILENAME_PREFIX   => 'UNPEG',
		UNPEG_FILE_TYPE         => 'HEADER',
		PRODUCE_PIF             => 'True',
		PRODUCE_LIF             => 0,
		KEEP_RAW_GRANULARITY    => 'True',
		MAX_PEG_PIF_AGE         => 'DURATION*4+60',
		CALCULATE_ROLLOVER      => 'True',
		DEFAULT_NULL_VALUE      => '',
		DATETIME_COUNTERS       => {
			STARTTIME => 'StartTime',
			STARTDATE => 'StartDate',
			DURATION  => 'granularityPeriod',
			FORMAT    => 'seconds',
		},
		COUNTERS_TO_SORT_ON => [qw(nEDistinguishedName_MeContext Mtp3bAp)],
		PEG_COUNTERS        => {
			'pmNoOfAdjacentSPNotAccessible' => '2147483647',
			'pmNoOfUserPartUnavailRec'      => '2147483647',
		}
	},

	## [END] TransportNetwork_Mtp3bSpChina_Mtp3bAp

	## [START] TransportNetwork_Mtp3bSpChina_Mtp3bSrs
	{
		RULE_TYPE                                 => 'JOIN',
		RULE_DESC                                 => 'Join TransportNetwork_Mtp3bSpChina_Mtp3bSrs files',
		INPUT_FILE_DESCRIPTION                    => [ '^ManagedElement_TransportNetwork_Mtp3bSpChina_Mtp3bSrs-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif', ],
		OUTPUT_BLOCK_NAME                         => 'TransportNetwork_Mtp3bSpChina_Mtp3bSrs',
		PRODUCE_PIF                               => 'True',
		PRODUCE_LIF                               => 0,
		COUNTERS_TO_JOIN_ON                       => [qw(userLabel Mtp3bSrs)],
		OUTPUT_FILENAME_START                     => 'TransportNetwork_Mtp3bSpChina_Mtp3bSrs',
		HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [qw(nEDistinguishedName_MeContext StartDate StartTime)],
		REDUNDANT_HEADER_COUNTERS                 => [],
		HOURS_TO_WAIT_FOR_PARTNER_FILES           => -1,
	},
	{
		RULE_TYPE               => 'UNPEGGER',
		RULE_DESC               => 'Unpeg TransportNetwork_Mtp3bSpChina_Mtp3bSrs counter values ',
		INPUT_FILE_DESCRIPTION  => '^(TransportNetwork_Mtp3bSpChina_Mtp3bSrs-#-.+?)-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}.*-J.pif',
		INPUT_FILE_DATETIME_KEY => '^TransportNetwork_Mtp3bSpChina_Mtp3bSrs-#-.+?-#-(\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-J.pif',
		PEG_FILENAME_PREFIX     => 'SAVED',
		UNPEG_FILENAME_PREFIX   => 'UNPEG',
		UNPEG_FILE_TYPE         => 'HEADER',
		PRODUCE_PIF             => 'True',
		PRODUCE_LIF             => 0,
		KEEP_RAW_GRANULARITY    => 'True',
		MAX_PEG_PIF_AGE         => 'DURATION*4+60',
		CALCULATE_ROLLOVER      => 'True',
		DEFAULT_NULL_VALUE      => '',
		DATETIME_COUNTERS       => {
			STARTTIME => 'StartTime',
			STARTDATE => 'StartDate',
			DURATION  => 'granularityPeriod',
			FORMAT    => 'seconds',
		},
		COUNTERS_TO_SORT_ON => [qw(nEDistinguishedName_MeContext Mtp3bSrs)],
		PEG_COUNTERS        => {
			'pmNoOfDiscardedMsgFromBroadToNarrow' => '2147483647',
			'pmNoOfTransferAllowedRec'            => '2147483647',
			'pmNoOfTransferControlledRec'         => '2147483647',
			'pmNoOfTransferProhibitedRec'         => '2147483647',
		}
	},

	## [END] TransportNetwork_Mtp3bSpChina_Mtp3bSrs

	## [START] TransportNetwork_Mtp3bSpChina_Mtp3bSrs_Mtp3bSr
	{
		RULE_TYPE                                 => 'JOIN',
		RULE_DESC                                 => 'Join TransportNetwork_Mtp3bSpChina_Mtp3bSrs_Mtp3bSr files',
		INPUT_FILE_DESCRIPTION                    => [ '^ManagedElement_TransportNetwork_Mtp3bSpChina_Mtp3bSrs_Mtp3bSr-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif', ],
		OUTPUT_BLOCK_NAME                         => 'TransportNetwork_Mtp3bSpChina_Mtp3bSrs_Mtp3bSr',
		PRODUCE_PIF                               => 'True',
		PRODUCE_LIF                               => 0,
		COUNTERS_TO_JOIN_ON                       => [qw(userLabel Mtp3bSrs Mtp3bSr)],
		OUTPUT_FILENAME_START                     => 'TransportNetwork_Mtp3bSpChina_Mtp3bSrs_Mtp3bSr',
		HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [qw(nEDistinguishedName_MeContext StartDate StartTime)],
		REDUNDANT_HEADER_COUNTERS                 => [],
		HOURS_TO_WAIT_FOR_PARTNER_FILES           => -1,
	},
	{
		RULE_TYPE               => 'UNPEGGER',
		RULE_DESC               => 'Unpeg TransportNetwork_Mtp3bSpChina_Mtp3bSrs_Mtp3bSr counter values ',
		INPUT_FILE_DESCRIPTION  => '^(TransportNetwork_Mtp3bSpChina_Mtp3bSrs_Mtp3bSr-#-.+?)-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}.*-J.pif',
		INPUT_FILE_DATETIME_KEY => '^TransportNetwork_Mtp3bSpChina_Mtp3bSrs_Mtp3bSr-#-.+?-#-(\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-J.pif',
		PEG_FILENAME_PREFIX     => 'SAVED',
		UNPEG_FILENAME_PREFIX   => 'UNPEG',
		UNPEG_FILE_TYPE         => 'HEADER',
		PRODUCE_PIF             => 'True',
		PRODUCE_LIF             => 0,
		KEEP_RAW_GRANULARITY    => 'True',
		MAX_PEG_PIF_AGE         => 'DURATION*4+60',
		CALCULATE_ROLLOVER      => 'True',
		DEFAULT_NULL_VALUE      => '',
		DATETIME_COUNTERS       => {
			STARTTIME => 'StartTime',
			STARTDATE => 'StartDate',
			DURATION  => 'granularityPeriod',
			FORMAT    => 'seconds',
		},
		COUNTERS_TO_SORT_ON => [qw(nEDistinguishedName_MeContext Mtp3bSrs Mtp3bSr)],
		PEG_COUNTERS        => { 'pmNoOfSecondsAccumulatedRouteUnavailable' => '2147483647', }
	},

	## [END] TransportNetwork_Mtp3bSpChina_Mtp3bSrs_Mtp3bSr

	## [START] TransportNetwork_Mtp3bSpItu_Mtp3bAp
	{
		RULE_TYPE                                 => 'JOIN',
		RULE_DESC                                 => 'Join TransportNetwork_Mtp3bSpItu_Mtp3bAp files',
		INPUT_FILE_DESCRIPTION                    => [ '^ManagedElement_TransportNetwork_Mtp3bSpItu_Mtp3bAp-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif', ],
		OUTPUT_BLOCK_NAME                         => 'TransportNetwork_Mtp3bSpItu_Mtp3bAp',
		PRODUCE_PIF                               => 'True',
		PRODUCE_LIF                               => 0,
		COUNTERS_TO_JOIN_ON                       => [qw(userLabel Mtp3bAp)],
		OUTPUT_FILENAME_START                     => 'TransportNetwork_Mtp3bSpItu_Mtp3bAp',
		HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [qw(nEDistinguishedName_MeContext StartDate StartTime)],
		REDUNDANT_HEADER_COUNTERS                 => [],
		HOURS_TO_WAIT_FOR_PARTNER_FILES           => -1,
	},
	{
		RULE_TYPE               => 'UNPEGGER',
		RULE_DESC               => 'Unpeg TransportNetwork_Mtp3bSpItu_Mtp3bAp counter values ',
		INPUT_FILE_DESCRIPTION  => '^(TransportNetwork_Mtp3bSpItu_Mtp3bAp-#-.+?)-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}.*-J.pif',
		INPUT_FILE_DATETIME_KEY => '^TransportNetwork_Mtp3bSpItu_Mtp3bAp-#-.+?-#-(\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-J.pif',
		PEG_FILENAME_PREFIX     => 'SAVED',
		UNPEG_FILENAME_PREFIX   => 'UNPEG',
		UNPEG_FILE_TYPE         => 'HEADER',
		PRODUCE_PIF             => 'True',
		PRODUCE_LIF             => 0,
		KEEP_RAW_GRANULARITY    => 'True',
		MAX_PEG_PIF_AGE         => 'DURATION*4+60',
		CALCULATE_ROLLOVER      => 'True',
		DEFAULT_NULL_VALUE      => '',
		DATETIME_COUNTERS       => {
			STARTTIME => 'StartTime',
			STARTDATE => 'StartDate',
			DURATION  => 'granularityPeriod',
			FORMAT    => 'seconds',
		},
		COUNTERS_TO_SORT_ON => [qw(nEDistinguishedName_MeContext Mtp3bAp)],
		PEG_COUNTERS        => {
			'pmNoOfAdjacentSPNotAccessible' => '2147483647',
			'pmNoOfUserPartUnavailRec'      => '2147483647',
		}
	},

	## [END] TransportNetwork_Mtp3bSpItu_Mtp3bAp

	## [START] TransportNetwork_Mtp3bSpTtc_Mtp3bAp
	{
		RULE_TYPE                                 => 'JOIN',
		RULE_DESC                                 => 'Join TransportNetwork_Mtp3bSpTtc_Mtp3bAp files',
		INPUT_FILE_DESCRIPTION                    => [ '^ManagedElement_TransportNetwork_Mtp3bSpTtc_Mtp3bAp-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif', ],
		OUTPUT_BLOCK_NAME                         => 'TransportNetwork_Mtp3bSpTtc_Mtp3bAp',
		PRODUCE_PIF                               => 'True',
		PRODUCE_LIF                               => 0,
		COUNTERS_TO_JOIN_ON                       => [qw(userLabel Mtp3bAp)],
		OUTPUT_FILENAME_START                     => 'TransportNetwork_Mtp3bSpTtc_Mtp3bAp',
		HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [qw(nEDistinguishedName_MeContext StartDate StartTime)],
		REDUNDANT_HEADER_COUNTERS                 => [],
		HOURS_TO_WAIT_FOR_PARTNER_FILES           => -1,
	},
	{
		RULE_TYPE               => 'UNPEGGER',
		RULE_DESC               => 'Unpeg TransportNetwork_Mtp3bSpTtc_Mtp3bAp counter values ',
		INPUT_FILE_DESCRIPTION  => '^(TransportNetwork_Mtp3bSpTtc_Mtp3bAp-#-.+?)-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}.*-J.pif',
		INPUT_FILE_DATETIME_KEY => '^TransportNetwork_Mtp3bSpTtc_Mtp3bAp-#-.+?-#-(\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-J.pif',
		PEG_FILENAME_PREFIX     => 'SAVED',
		UNPEG_FILENAME_PREFIX   => 'UNPEG',
		UNPEG_FILE_TYPE         => 'HEADER',
		PRODUCE_PIF             => 'True',
		PRODUCE_LIF             => 0,
		KEEP_RAW_GRANULARITY    => 'True',
		MAX_PEG_PIF_AGE         => 'DURATION*4+60',
		CALCULATE_ROLLOVER      => 'True',
		DEFAULT_NULL_VALUE      => '',
		DATETIME_COUNTERS       => {
			STARTTIME => 'StartTime',
			STARTDATE => 'StartDate',
			DURATION  => 'granularityPeriod',
			FORMAT    => 'seconds',
		},
		COUNTERS_TO_SORT_ON => [qw(nEDistinguishedName_MeContext Mtp3bAp)],
		PEG_COUNTERS        => {
			'pmNoOfAdjacentSPNotAccessible' => '2147483647',
			'pmNoOfUserPartUnavailRec'      => '2147483647',
		}
	},

	## [END] TransportNetwork_Mtp3bSpTtc_Mtp3bAp

	## [START] TransportNetwork_Mtp3bSpTtc_Mtp3bSrs
	{
		RULE_TYPE                                 => 'JOIN',
		RULE_DESC                                 => 'Join TransportNetwork_Mtp3bSpTtc_Mtp3bSrs files',
		INPUT_FILE_DESCRIPTION                    => [ '^ManagedElement_TransportNetwork_Mtp3bSpTtc_Mtp3bSrs-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif', ],
		OUTPUT_BLOCK_NAME                         => 'TransportNetwork_Mtp3bSpTtc_Mtp3bSrs',
		PRODUCE_PIF                               => 'True',
		PRODUCE_LIF                               => 0,
		COUNTERS_TO_JOIN_ON                       => [qw(userLabel Mtp3bSrs)],
		OUTPUT_FILENAME_START                     => 'TransportNetwork_Mtp3bSpTtc_Mtp3bSrs',
		HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [qw(nEDistinguishedName_MeContext StartDate StartTime)],
		REDUNDANT_HEADER_COUNTERS                 => [],
		HOURS_TO_WAIT_FOR_PARTNER_FILES           => -1,
	},
	{
		RULE_TYPE               => 'UNPEGGER',
		RULE_DESC               => 'Unpeg TransportNetwork_Mtp3bSpTtc_Mtp3bSrs counter values ',
		INPUT_FILE_DESCRIPTION  => '^(TransportNetwork_Mtp3bSpTtc_Mtp3bSrs-#-.+?)-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}.*-J.pif',
		INPUT_FILE_DATETIME_KEY => '^TransportNetwork_Mtp3bSpTtc_Mtp3bSrs-#-.+?-#-(\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-J.pif',
		PEG_FILENAME_PREFIX     => 'SAVED',
		UNPEG_FILENAME_PREFIX   => 'UNPEG',
		UNPEG_FILE_TYPE         => 'HEADER',
		PRODUCE_PIF             => 'True',
		PRODUCE_LIF             => 0,
		KEEP_RAW_GRANULARITY    => 'True',
		MAX_PEG_PIF_AGE         => 'DURATION*4+60',
		CALCULATE_ROLLOVER      => 'True',
		DEFAULT_NULL_VALUE      => '',
		DATETIME_COUNTERS       => {
			STARTTIME => 'StartTime',
			STARTDATE => 'StartDate',
			DURATION  => 'granularityPeriod',
			FORMAT    => 'seconds',
		},
		COUNTERS_TO_SORT_ON => [qw(nEDistinguishedName_MeContext Mtp3bSrs)],
		PEG_COUNTERS        => {
			'pmNoOfDiscardedMsgFromBroadToNarrow' => '2147483647',
			'pmNoOfTransferAllowedRec'            => '2147483647',
			'pmNoOfTransferControlledRec'         => '2147483647',
			'pmNoOfTransferProhibitedRec'         => '2147483647',
		}
	},

	## [END] TransportNetwork_Mtp3bSpTtc_Mtp3bSrs

	## [START] TransportNetwork_Mtp3bSpTtc_Mtp3bSrs_Mtp3bSr
	{
		RULE_TYPE                                 => 'JOIN',
		RULE_DESC                                 => 'Join TransportNetwork_Mtp3bSpTtc_Mtp3bSrs_Mtp3bSr files',
		INPUT_FILE_DESCRIPTION                    => [ '^ManagedElement_TransportNetwork_Mtp3bSpTtc_Mtp3bSrs_Mtp3bSr-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif', ],
		OUTPUT_BLOCK_NAME                         => 'TransportNetwork_Mtp3bSpTtc_Mtp3bSrs_Mtp3bSr',
		PRODUCE_PIF                               => 'True',
		PRODUCE_LIF                               => 0,
		COUNTERS_TO_JOIN_ON                       => [qw(userLabel Mtp3bSr)],
		OUTPUT_FILENAME_START                     => 'TransportNetwork_Mtp3bSpTtc_Mtp3bSrs_Mtp3bSr',
		HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [qw(nEDistinguishedName_MeContext StartDate StartTime)],
		REDUNDANT_HEADER_COUNTERS                 => [],
		HOURS_TO_WAIT_FOR_PARTNER_FILES           => -1,
	},
	{
		RULE_TYPE               => 'UNPEGGER',
		RULE_DESC               => 'Unpeg TransportNetwork_Mtp3bSpTtc_Mtp3bSrs_Mtp3bSr counter values ',
		INPUT_FILE_DESCRIPTION  => '^(TransportNetwork_Mtp3bSpTtc_Mtp3bSrs_Mtp3bSr-#-.+?)-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}.*-J.pif',
		INPUT_FILE_DATETIME_KEY => '^TransportNetwork_Mtp3bSpTtc_Mtp3bSrs_Mtp3bSr-#-.+?-#-(\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-J.pif',
		PEG_FILENAME_PREFIX     => 'SAVED',
		UNPEG_FILENAME_PREFIX   => 'UNPEG',
		UNPEG_FILE_TYPE         => 'HEADER',
		PRODUCE_PIF             => 'True',
		PRODUCE_LIF             => 0,
		KEEP_RAW_GRANULARITY    => 'True',
		MAX_PEG_PIF_AGE         => 'DURATION*4+60',
		CALCULATE_ROLLOVER      => 'True',
		DEFAULT_NULL_VALUE      => '',
		DATETIME_COUNTERS       => {
			STARTTIME => 'StartTime',
			STARTDATE => 'StartDate',
			DURATION  => 'granularityPeriod',
			FORMAT    => 'seconds',
		},
		COUNTERS_TO_SORT_ON => [qw(nEDistinguishedName_MeContext Mtp3bSr)],
		PEG_COUNTERS        => { 'pmNoOfSecondsAccumulatedRouteUnavailable' => '2147483647', }
	},
	## [END] TransportNetwork_Mtp3bSpTtc_Mtp3bSrs_Mtp3bSr

	## [START] TransportNetwork_Mtp3bSpAnsi_Mtp3bSrs
	{
		RULE_TYPE                                 => 'JOIN',
		RULE_DESC                                 => 'Join TransportNetwork_Mtp3bSpAnsi_Mtp3bSrs files',
		INPUT_FILE_DESCRIPTION                    => [ '^TransportNetwork_Mtp3bSpAnsi_Mtp3bSrs-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif', ],
		OUTPUT_BLOCK_NAME                         => 'TransportNetwork_Mtp3bSpAnsi_Mtp3bSrs',
		PRODUCE_PIF                               => 'True',
		PRODUCE_LIF                               => 0,
		COUNTERS_TO_JOIN_ON                       => [qw(userLabel Mtp3bSrs)],
		OUTPUT_FILENAME_START                     => 'TransportNetwork_Mtp3bSpAnsi_Mtp3bSrs',
		HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [qw(nEDistinguishedName_MeContext StartDate StartTime)],
		REDUNDANT_HEADER_COUNTERS                 => [],
		HOURS_TO_WAIT_FOR_PARTNER_FILES           => -1,
	},
	{
		RULE_TYPE               => 'UNPEGGER',
		RULE_DESC               => 'Unpeg TransportNetwork_Mtp3bSpAnsi_Mtp3bSrs counter values ',
		INPUT_FILE_DESCRIPTION  => '^(TransportNetwork_Mtp3bSpAnsi_Mtp3bSrs-#-.+?)-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}.*-J.pif',
		INPUT_FILE_DATETIME_KEY => '^TransportNetwork_Mtp3bSpAnsi_Mtp3bSrs-#-.+?-#-(\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-J.pif',
		PEG_FILENAME_PREFIX     => 'SAVED',
		UNPEG_FILENAME_PREFIX   => 'UNPEG',
		UNPEG_FILE_TYPE         => 'HEADER',
		PRODUCE_PIF             => 'True',
		PRODUCE_LIF             => 0,
		KEEP_RAW_GRANULARITY    => 'True',
		MAX_PEG_PIF_AGE         => 'DURATION*4+60',
		CALCULATE_ROLLOVER      => 'True',
		DEFAULT_NULL_VALUE      => '',
		DATETIME_COUNTERS       => {
			STARTTIME => 'StartTime',
			STARTDATE => 'StartDate',
			DURATION  => 'granularityPeriod',
			FORMAT    => 'seconds',
		},
		COUNTERS_TO_SORT_ON => [qw(nEDistinguishedName_MeContext Mtp3bSrs)],
		PEG_COUNTERS        => {
			'pmNoOfDiscardedMsgFromBroadToNarrow' => '2147483647',
			'pmNoOfTransferAllowedRec'            => '2147483647',
			'pmNoOfTransferControlledRec'         => '2147483647',
			'pmNoOfTransferProhibitedRec'         => '2147483647',
		}
	},

	## [END] TransportNetwork_Mtp3bSpAnsi_Mtp3bSrs

	## [START] ManagedElement_AccessSignalling_IuaApplicationServer
	{
		RULE_TYPE               => 'UNPEGGER',
		RULE_DESC               => 'Unpeg ManagedElement_AccessSignalling_IuaApplicationServer counter values ',
		INPUT_FILE_DESCRIPTION  => '^(ManagedElement_AccessSignalling_IuaApplicationServer-#-.+?)-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}.*-J.pif',
		INPUT_FILE_DATETIME_KEY => '^ManagedElement_AccessSignalling_IuaApplicationServer-#-.+?-#-(\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-J.pif',
		PEG_FILENAME_PREFIX     => 'SAVED',
		UNPEG_FILENAME_PREFIX   => 'UNPEG',
		UNPEG_FILE_TYPE         => 'HEADER',
		PRODUCE_PIF             => 'True',
		PRODUCE_LIF             => 0,
		KEEP_RAW_GRANULARITY    => 'True',
		MAX_PEG_PIF_AGE         => 'DURATION*4+60',
		CALCULATE_ROLLOVER      => 'True',
		DEFAULT_NULL_VALUE      => '',
		DATETIME_COUNTERS       => {
			STARTTIME => 'StartTime',
			STARTDATE => 'StartDate',
			DURATION  => 'granularityPeriod',
			FORMAT    => 'seconds',
		},
		COUNTERS_TO_SORT_ON => [
			qw (nEDistinguishedName_MeContext ManagedElement IuaApplicationServer)
		],
		PEG_COUNTERS => {
			'pmIuaSctpComLostExtReasons' => '2147483647',
			'pmIuaSctpComLostIntReasons' => '2147483647',
			'pmRecAspdnMessages'         => '2147483647',
			'pmRecAspiaMessages'         => '2147483647',
			'pmSentIuaMessages'          => '2147483647',
			'pmSentQptmMessages'         => '2147483647',
			'pmUnsentIuaMessages'        => '2147483647',
			'pmUnsentQptmMessages'       => '2147483647',
		}
	},

	{
		RULE_TYPE              => 'ACCUMULATE',
		RULE_DESC              => 'Accumulate the ManagedElement_AccessSignalling_IuaApplicationServer counters',
		INPUT_FILE_DESCRIPTION => [ '^UNPEG-#-ManagedElement_AccessSignalling_IuaApplicationServer-#-.+?-#-(\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-J.pif', ],
		PRODUCE_PIF            => 'True',
		PRODUCE_LIF            => 0,
		COUNTERS_TO_SORT_ON    => [],
		NON_ADDITIVE_COUNTERS  => [
			qw(userLabel IuaApplicationServer ManagedElement MgwApplication TransportNetwork)
		],

		OLD_COUNTER_NAMES => [qw(pmSentQptmMessages)],
		NEW_COUNTER_NAMES => [qw(IUA_pmSentQptmMessages)],
		OUTPUT_BLOCK_NAME => 'ManagedElement_AccessSignalling_IuaApplicationServer',
	},
	## [END] ManagedElement_AccessSignalling_IuaApplicationServer

	## [START] ################### New Mgw_Aggregated block ###################

	## [START] Mgw_Aggregated_Ansi
	{
		RULE_TYPE              => 'JOIN',
		RULE_DESC              => 'Join aggregated files for Mgw_Aggregated_Ansi',
		INPUT_FILE_DESCRIPTION => [
			'^TransportNetwork_Mtp3bSpAnsi_Mtp3bSls-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-J-#-TransportNetwork_Mtp3bSpAnsi_Mtp3bSls-#-A.pif',
			'^UNPEG-#-TransportNetwork_Mtp3bSpAnsi_M3uAssociation-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-A.pif',
			'^UNPEG-#-IpSystem_IpAccessHostGpb-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-A.pif',
			'^UNPEG-#-ManagedElement_AccessSignalling_IuaApplicationServer-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-A.pif',
			'^UNPEG-#-MgwApplication_IpNetwork_RemoteSite-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-A.pif',
			'^UNPEG-#-MgwApplication_UnknownRemoteSite-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-A.pif',
			'^UNPEG-#-MgwApplication_Vmgw-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-A.pif',
			'^TransportNetwork_Aal2Sp_Aal2Ap-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-A.pif',
			'^UNPEG-#-SccpSp-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-A.pif',
			'^UNPEG-#-TransportNetwork_Sctp-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-A.pif',
		],
		OUTPUT_BLOCK_NAME                         => 'Mgw_Aggregated_Ansi',
		PRODUCE_PIF                               => 'True',
		PRODUCE_LIF                               => 0,
		COUNTERS_TO_JOIN_ON                       => [qw(nEDistinguishedName_MeContext StartDate StartTime)],
		OUTPUT_FILENAME_START                     => 'Mgw_Aggregated_Ansi',
		HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [qw(nEDistinguishedName_MeContext StartDate StartTime)],
		REDUNDANT_HEADER_COUNTERS                 => [],
		HOURS_TO_WAIT_FOR_PARTNER_FILES           => -1,
	},
	{
		RULE_TYPE               => 'ACCUMULATE',
		RULE_DESC               => 'Accumulate the Mgw_Aggregated_Ansi',
		INPUT_FILE_DESCRIPTION  => [ '^Mgw_Aggregated_Ansi-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-J.pif', ],
		PRODUCE_PIF             => 0,
		PRODUCE_LIF             => 'True',
		COUNTERS_TO_SORT_ON     => [qw(nEDistinguishedName_MeContext StartDate StartTime)],
		NON_ADDITIVE_COUNTERS   => [qw(userLabel IuaApplicationServer ManagedElement MgwApplication TransportNetwork Sctp UnknownRemoteSite Vmgw Mtp3bSls)],
		REDUNDANT_DATA_COUNTERS => [
			qw(pmExisOrigConns pmExisTermConns pmExisTransConns pmSctpAborted pmSctpActiveEstab pmSctpCurrEstab pmSctpPassiveEstab pmSctpShutdowns pmSctpStatAssocOutOfBlue pmSctpStatChecksumErrorCounter pmSctpStatCommResume pmSctpStatCommStop pmSctpStatFragmentedUserMsg pmSctpStatOutOfOrderRecChunks pmSctpStatOutOfOrderSendChunks pmSctpStatReassembledUserMsg pmSctpStatRecChunks pmSctpStatRecChunksDropped pmSctpStatReceivedControlChunks pmSctpStatReceivedPackages pmSctpStatRetransChunks pmSctpStatSentChunks pmSctpStatSentChunksDropped pmSctpStatSentControlChunks pmSctpStatSentPackages pmSuccInConnsRemoteQosClassA pmSuccOutConnsRemoteQosClassA pmUnRecMessages pmUnRecParams pmUnSuccInConnsLocalQosClassA pmUnSuccInConnsRemoteQosClassA pmUnSuccOutConnsLocalQosClassA pmUnSuccOutConnsRemoteQosClassA)
		],
		OUTPUT_BLOCK_NAME => 'Mgw_Aggregated_Ansi',
	},

	## [END] Mgw_Aggregated_Ansi

	## [START] Mgw_Aggregated_China
	{
		RULE_TYPE              => 'JOIN',
		RULE_DESC              => 'Join aggregated files for Mgw_Aggregated_China',
		INPUT_FILE_DESCRIPTION => [
			'^TransportNetwork_Mtp3bSpChina_Mtp3bSls-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-J-#-TransportNetwork_Mtp3bSpChina_Mtp3bSls-#-A.pif',
			'^UNPEG-#-TransportNetwork_Mtp3bSpChina_M3uAssociation-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-A.pif',
			'^UNPEG-#-IpSystem_IpAccessHostGpb-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-A.pif',
			'^UNPEG-#-ManagedElement_AccessSignalling_IuaApplicationServer-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-A.pif',
			'^UNPEG-#-MgwApplication_IpNetwork_RemoteSite-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-A.pif',
			'^UNPEG-#-MgwApplication_UnknownRemoteSite-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-A.pif',
			'^UNPEG-#-MgwApplication_Vmgw-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-A.pif',
			'^TransportNetwork_Aal2Sp_Aal2Ap-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-A.pif',
			'^UNPEG-#-SccpSp-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-A.pif',
			'^UNPEG-#-TransportNetwork_Sctp-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-A.pif',
		],
		OUTPUT_BLOCK_NAME                         => 'Mgw_Aggregated_China',
		PRODUCE_PIF                               => 'True',
		PRODUCE_LIF                               => 0,
		COUNTERS_TO_JOIN_ON                       => [],
		OUTPUT_FILENAME_START                     => 'Mgw_Aggregated_China',
		HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [qw(nEDistinguishedName_MeContext StartDate StartTime)],
		REDUNDANT_HEADER_COUNTERS                 => [],
		HOURS_TO_WAIT_FOR_PARTNER_FILES           => -1,
	},
	{
		RULE_TYPE               => 'ACCUMULATE',
		RULE_DESC               => 'Accumulate the Mgw_Aggregated_China',
		INPUT_FILE_DESCRIPTION  => [ '^Mgw_Aggregated_China-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-J.pif', ],
		PRODUCE_PIF             => 0,
		PRODUCE_LIF             => 'True',
		COUNTERS_TO_SORT_ON     => [qw(MgwApplication)],
		NON_ADDITIVE_COUNTERS   => [qw(userLabel IuaApplicationServer ManagedElement MgwApplication TransportNetwork Sctp UnknownRemoteSite Vmgw Mtp3bSls)],
		REDUNDANT_DATA_COUNTERS => [
			qw(pmExisOrigConns pmExisTermConns pmExisTransConns pmSctpAborted pmSctpActiveEstab pmSctpCurrEstab pmSctpPassiveEstab pmSctpShutdowns pmSctpStatAssocOutOfBlue pmSctpStatChecksumErrorCounter pmSctpStatCommResume pmSctpStatCommStop pmSctpStatFragmentedUserMsg pmSctpStatOutOfOrderRecChunks pmSctpStatOutOfOrderSendChunks pmSctpStatReassembledUserMsg pmSctpStatRecChunks pmSctpStatRecChunksDropped pmSctpStatReceivedControlChunks pmSctpStatReceivedPackages pmSctpStatRetransChunks pmSctpStatSentChunks pmSctpStatSentChunksDropped pmSctpStatSentControlChunks pmSctpStatSentPackages pmSuccInConnsRemoteQosClassA pmSuccOutConnsRemoteQosClassA pmUnRecMessages pmUnRecParams pmUnSuccInConnsLocalQosClassA pmUnSuccInConnsRemoteQosClassA pmUnSuccOutConnsLocalQosClassA pmUnSuccOutConnsRemoteQosClassA)
		],
		OUTPUT_BLOCK_NAME => 'Mgw_Aggregated_China',
	},
	## [END] Mgw_Aggregated_China

	## [START] Mgw_Aggregated_Itu
	{
		RULE_TYPE              => 'JOIN',
		RULE_DESC              => 'Join aggregated files for Mgw_Aggregated_Itu',
		INPUT_FILE_DESCRIPTION => [
			'^TransportNetwork_Mtp3bSpItu_Mtp3bSls-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-J-#-TransportNetwork_Mtp3bSpItu_Mtp3bSls-#-A.pif',
			'^UNPEG-#-TransportNetwork_Mtp3bSpItu_M3uAssociation-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-A.pif',
			'^UNPEG-#-IpSystem_IpAccessHostGpb-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-A.pif',
			'^UNPEG-#-ManagedElement_AccessSignalling_IuaApplicationServer-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-A.pif',
			'^UNPEG-#-MgwApplication_IpNetwork_RemoteSite-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-A.pif',
			'^UNPEG-#-MgwApplication_UnknownRemoteSite-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-A.pif',
			'^UNPEG-#-MgwApplication_Vmgw-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-A.pif',
			'^TransportNetwork_Aal2Sp_Aal2Ap-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-A.pif',
			'^UNPEG-#-SccpSp-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-A.pif',
			'^UNPEG-#-TransportNetwork_Sctp-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-A.pif',
		],
		OUTPUT_BLOCK_NAME                         => 'Mgw_Aggregated_Itu',
		PRODUCE_PIF                               => 'True',
		PRODUCE_LIF                               => 0,
		COUNTERS_TO_JOIN_ON                       => [],
		OUTPUT_FILENAME_START                     => 'Mgw_Aggregated_Itu',
		HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [qw(nEDistinguishedName_MeContext StartDate StartTime)],
		REDUNDANT_HEADER_COUNTERS                 => [],
		HOURS_TO_WAIT_FOR_PARTNER_FILES           => -1,
	},
	{
		RULE_TYPE               => 'ACCUMULATE',
		RULE_DESC               => 'Accumulate the Mgw_Aggregated_Itu',
		INPUT_FILE_DESCRIPTION  => [ '^Mgw_Aggregated_Itu-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-J.pif', ],
		PRODUCE_PIF             => 0,
		PRODUCE_LIF             => 'True',
		COUNTERS_TO_SORT_ON     => [qw(MgwApplication)],
		NON_ADDITIVE_COUNTERS   => [qw(userLabel IuaApplicationServer ManagedElement MgwApplication TransportNetwork Sctp UnknownRemoteSite Vmgw Mtp3bSls)],
		REDUNDANT_DATA_COUNTERS => [
			qw(pmCallsWithRtpPacketLoss0 pmCallsWithRtpPacketLoss1 pmCallsWithRtpPacketLoss2 pmCallsWithRtpPacketLoss3 pmCallsWithRtpPacketLoss4 pmCallsWithRtpPacketLoss5 pmCallsWithRtpPacketLoss6 pmConnLatePktsRatio0 pmConnLatePktsRatio1 pmConnLatePktsRatio2 pmConnLatePktsRatio3 pmConnLatePktsRatio4 pmConnLatePktsRatio5 pmConnLatePktsRatio6 pmConnMeasuredJitter0 pmConnMeasuredJitter1 pmConnMeasuredJitter2 pmConnMeasuredJitter3 pmConnMeasuredJitter4 pmConnMeasuredJitter5 pmConnMeasuredJitter6 pmConnMeasuredJitter7 pmConnMeasuredJitter8 pmConnsOnUnknownRemoteSite pmExisOrigConns pmExisTermConns pmExisTransConns pmIpReceivedEcnPkts pmLatePktsDueToDeJitter pmRtpDiscardedPkts pmRtpLostPkts pmRtpReceivedDscpCongPackets pmRtpReceivedOctetsHi pmRtpReceivedOctetsLo pmRtpReceivedPktsHi pmRtpReceivedPktsLo pmRtpSentOctetsHi pmRtpSentOctetsLo pmRtpSentPktsHi pmRtpSentPktsLo pmSctpAborted pmSctpActiveEstab pmSctpCurrEstab pmSctpPassiveEstab pmSctpShutdowns pmSctpStatAssocOutOfBlue pmSctpStatChecksumErrorCounter pmSctpStatCommResume pmSctpStatCommStop pmSctpStatFragmentedUserMsg pmSctpStatOutOfOrderRecChunks pmSctpStatOutOfOrderSendChunks pmSctpStatReassembledUserMsg pmSctpStatRecChunks pmSctpStatRecChunksDropped pmSctpStatReceivedControlChunks pmSctpStatReceivedPackages pmSctpStatRetransChunks pmSctpStatSentChunks pmSctpStatSentChunksDropped pmSctpStatSentControlChunks pmSctpStatSentPackages pmSuccInConnsRemoteQosClassA pmSuccOutConnsRemoteQosClassA pmSuccTransmittedPktsHi pmSuccTransmittedPktsLo pmUnRecMessages pmUnRecParams pmUnSuccInConnsLocalQosClassA pmUnSuccInConnsRemoteQosClassA pmUnSuccOutConnsLocalQosClassA pmUnSuccOutConnsRemoteQosClassA)
		],
		OUTPUT_BLOCK_NAME => 'Mgw_Aggregated_Itu',
	},
	## [END] Mgw_Aggregated_Itu

	## [START] Mgw_Aggregated_Ttc
	{
		RULE_TYPE              => 'JOIN',
		RULE_DESC              => 'Join aggregated files for Mgw_Aggregated_Ttc',
		INPUT_FILE_DESCRIPTION => [
			'^TransportNetwork_Mtp3bSpTtc_Mtp3bSls-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-J-#-TransportNetwork_Mtp3bSpTtc_Mtp3bSls-#-A.pif',
			'^UNPEG-#-TransportNetwork_Mtp3bSpTtc_M3uAssociation-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-A.pif',
			'^UNPEG-#-IpSystem_IpAccessHostGpb-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-A.pif',
			'^UNPEG-#-ManagedElement_AccessSignalling_IuaApplicationServer-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-A.pif',
			'^UNPEG-#-MgwApplication_IpNetwork_RemoteSite-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-A.pif',
			'^UNPEG-#-MgwApplication_UnknownRemoteSite-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-A.pif',
			'^UNPEG-#-MgwApplication_Vmgw-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-A.pif',
			'^TransportNetwork_Aal2Sp_Aal2Ap-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-A.pif',
			'^UNPEG-#-SccpSp-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-A.pif',
			'^UNPEG-#-TransportNetwork_Sctp-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-A.pif',
		],
		OUTPUT_BLOCK_NAME                         => 'Mgw_Aggregated_Ttc',
		PRODUCE_PIF                               => 'True',
		PRODUCE_LIF                               => 0,
		COUNTERS_TO_JOIN_ON                       => [],
		OUTPUT_FILENAME_START                     => 'Mgw_Aggregated_Ttc',
		HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [qw(nEDistinguishedName_MeContext StartDate StartTime)],
		REDUNDANT_HEADER_COUNTERS                 => [],
		HOURS_TO_WAIT_FOR_PARTNER_FILES           => -1,
	},
	{
		RULE_TYPE               => 'ACCUMULATE',
		RULE_DESC               => 'Accumulate the Mgw_Aggregated_Ttc',
		INPUT_FILE_DESCRIPTION  => [
			'^Mgw_Aggregated_Ttc-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-J.pif',
		],
		PRODUCE_PIF             => 0,
		PRODUCE_LIF             => 'True',
		COUNTERS_TO_SORT_ON     => [qw(MgwApplication)], #### qw(MgwApplication)
		NON_ADDITIVE_COUNTERS   => [qw(userLabel IuaApplicationServer ManagedElement MgwApplication TransportNetwork Sctp UnknownRemoteSite Vmgw Mtp3bSls)],
		REDUNDANT_DATA_COUNTERS => [
			qw(pmExisOrigConns pmExisTermConns pmExisTransConns pmSctpAborted pmSctpActiveEstab pmSctpCurrEstab pmSctpPassiveEstab pmSctpShutdowns pmSctpStatAssocOutOfBlue pmSctpStatChecksumErrorCounter pmSctpStatCommResume pmSctpStatCommStop pmSctpStatFragmentedUserMsg pmSctpStatOutOfOrderRecChunks pmSctpStatOutOfOrderSendChunks pmSctpStatReassembledUserMsg pmSctpStatRecChunks pmSctpStatRecChunksDropped pmSctpStatReceivedControlChunks pmSctpStatReceivedPackages pmSctpStatRetransChunks pmSctpStatSentChunks pmSctpStatSentChunksDropped pmSctpStatSentControlChunks pmSctpStatSentPackages pmSuccInConnsRemoteQosClassA pmSuccOutConnsRemoteQosClassA pmUnRecMessages pmUnRecParams pmUnSuccInConnsLocalQosClassA pmUnSuccInConnsRemoteQosClassA pmUnSuccOutConnsLocalQosClassA pmUnSuccOutConnsRemoteQosClassA)
		],
		OUTPUT_BLOCK_NAME => 'Mgw_Aggregated_Ttc',
	},
	## [END] Mgw_Aggregated_Ttc

	## [END] ################### New Mgw_Aggregated block #####################

	## Removing initial PIF
	{
		RULE_TYPE              => 'PIF_REMOVE',
		RULE_DESC              => 'Removing all initial PIF used inside r51_rules_unpeg.pm',
		INPUT_FILE_DESCRIPTION => [
			'^TransportNetwork_Mtp3bSp\w+_Mtp3bSls_Mtp3bSl\w+-#-.+-#-I.pif',
			'^UNPEG-#-TransportNetwork_Mtp3bSp\w+_Mtp3bSls_Mtp3bSl\w+-#-.+-#-I.pif',
			'^ManagedElement_AccessSignalling_DChannelTp-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^ManagedElement_MgwApplication_GcpAssociation-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^ManagedElement_MsProcessing_G729Service-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^ManagedElement_MsProcessing_IpEtService-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^ManagedElement_TransportNetwork_Mtp2TpTtc-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^ManagedElement_TransportNetwork_Mtp3bSpAnsi_M3uAssociation-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^ManagedElement_TransportNetwork_Mtp3bSpAnsi_Mtp3bAp-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^ManagedElement_TransportNetwork_Mtp3bSpChina_Mtp3bAp-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^ManagedElement_TransportNetwork_Mtp3bSpChina_Mtp3bSrs-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^ManagedElement_TransportNetwork_Mtp3bSpChina_Mtp3bSrs_Mtp3bSr-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^ManagedElement_TransportNetwork_Mtp3bSpItu_Mtp3bAp-#-.*-I.pif',
			'^ManagedElement_TransportNetwork_Mtp3bSpTtc_M3uAssociation-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^ManagedElement_TransportNetwork_Mtp3bSpTtc_Mtp3bAp-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^ManagedElement_TransportNetwork_Mtp3bSpTtc_Mtp3bSrs-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^ManagedElement_TransportNetwork_Mtp3bSpTtc_Mtp3bSrs_Mtp3bSr-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^MgwApplication_IpNetwork_RemoteSite-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^MgwApplication_UnknownRemoteSite-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif', # R5.1 Maintenance FP B2
                        '^MsProcessing_AmrWbService-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^MsProcessing_PcmService-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^TransportNetwork_Mtp3bSpAnsi_Mtp3bSrs-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^TransportNetwork_Mtp3bSpAnsi_Mtp3bSrs_Mtp3bSr-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^TransportNetwork_Mtp3bSpChina_M3uAssociation-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^TransportNetwork_Mtp3bSpTtc_Mtp3bSrs_Mtp3bSr-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',
			'^TransportNetwork_Sctp-#-(.+?-#-\d{2}\w{3}\d{4}-#-\d{2}:\d{2}).*-I.pif',

		],
	},

];

